(* Mathematica Test File *)


Test[
	Exp[Pi Operator[1]],
	Exp[Pi] Operator[1],
	TestID->"Exp-20160701-Z6H0Y4"
]

Test[
	Exp[Operator[P]] ** Exp[-Operator[P]],
	Operator[1],
	TestID->"Exp-20160701-K7K2O3"
]

(*	TODO: shouldn't be "a", "b" defined as Constant
	(no restriction)
*)
Test[
	Exp[a Operator[P]] ** Exp[b Operator[P]],
	Exp[(a + b) Operator[P]],
	TestID->"Exp-20160701-Y8Y3X1"
]

(*	TODO: shouldn't be "a" defined as Constant (no restriction),
	how does this work in application?
*)
Test[
	Exp[Unevaluated[a Operator[0]]],
	Operator[1],
	TestID->"Exp-20160701-K6H9E5"
]

(*	BCH Relation, test passed
	important: use the right QASet with the right call pattern !!
*)
Test[
	Module[{com, sol},
		com = Commutator[Operator[P], Operator[Q]];
		QASet[Commutator[Operator[P], Commutator[Operator[P], Operator[Q]]] = 0,
			  Commutator[Operator[Q], Commutator[Operator[P], Operator[Q]]] = 0];
		sol = BCHRelation[Power[E, Pi (Operator[P] + Operator[Q])]];
		QAClear[Unset[Commutator[Operator[P], Commutator[Operator[P], Operator[Q]]]],
			    Unset[Commutator[Operator[Q], Commutator[Operator[P], Operator[Q]]]]];
		sol
	],
	Exp[Pi Operator[P]] ** Exp[Pi Operator[Q]] ** Exp[-(Pi^2) Commutator[Operator[P], Operator[Q]]/2],
	TestID->"Exp-20160705-Z0A5R7"
]