(* Wolfram Language Test file *)

(* Derivation of an Integrate *)
Test[
	QAD[QAIntegrate[Exp[I Subscript[x, 1]], A, 2, x], Subscript[x, 1]],
	I QAIntegrate[Exp[I Subscript[x, 1]], A, 2, x],
	TestID->"Derivation-20181217-W1D7I6"
]

(* Derivation of a Sum *)
Test[
	QAD[QASum[Exp[I Subscript[x, 1]], x], Subscript[x, 1]],
	I QASum[Exp[I Subscript[x, 1]], x],
	TestID->"Derivation-20181217-I9V3A9"
]

(* Derivation of a Sum *)
Test[
	QAD[x^2 + x^3, x],
	QAD[x^2, x] + QAD[x^3, x],
	TestID->"Derivation-20181217-W6A3S3"
]

(* Derivation of a Product *)
Test[
	QAD[x Exp[x], x],
	QAD[x, x] Exp[x] + x QAD[Exp[x], x],
	TestID->"Derivation-20181217-L5N5P8"
]

(* Derivation of an Operator Product *)
Test[
	QAD[Operator[a, { Subscript[x, 1] }, {}] ** Operator[b, { Subscript[x, 1] }, { s }], Subscript[x, 1]],
	
	QAD[Operator[a, { Subscript[x, 1] }, {}], Subscript[x, 1]] ** Operator[b, { Subscript[x, 1] }, { s }] + 
		Operator[a, { Subscript[x, 1] }, {}] ** QAD[Operator[b, { Subscript[x, 1] }, { s }], Subscript[x, 1]],
	
	TestID->"Derivation-20181217-L0J8L0"
]

(* Derivation reduced to traditional derivation *)
Test[
	QAD[Exp[k x], x],
	k Exp[k x],
	TestID->"Derivation-20181217-V5V0T4"
]

(* Derivation of Matrix *)
Test[
	QAD[{ Exp[y], Log[y] }, y],
	{ Exp[y], 1/y },
	TestID->"Derivation-20181217-O6X6A8"
]