(* Wolfram Language Test file *)

(* Hermitian of a Vector *)
Test[
	Hermitian[{ Pi + I 4, E + I 6, 2 + I 9}],
	{ Hermitian[Pi + I 4], Hermitian[E + I 6], Hermitian[2 + I 9] },
	TestID->"Matrix-20181217-V3R1O3"
]

testMatrix1 = { { Operator[a], Operator[b] }, { Operator[c], Operator[d, "H"] } }

(* Hermitian of a Matrix *)
Test[
	Hermitian[testMatrix1],
	{ { Operator[a, "H"], Operator[c, "H"] }, { Operator[b, "H"], Operator[d] } },
	TestID->"Matrix-20181217-Y9V5Y3"
]

(* Skalar Matrix Times an Operator *)
Test[
	{ Pi + I 4, E + I 2 } Operator[a],
	{ (Pi + I 4) Operator[a], (E + I 2) Operator[a] },
	TestID->"Matrix-20181217-L4U6S5"
]

(* Distribution Law with Matrices, Operators, Sums *)
Test[
	(QASum[Operator[a, { Subscript[x, 1] }, {}], x] + QASum[Operator[b, { Subscript[x, 2] }, {}], x]) **
	{ { Operator[A], Operator[B] }, { Operator[C], Operator[D] } },
	
	QASum[Operator[a, { Subscript[x, 1] }, {}], x] ** { { Operator[A], Operator[B] }, { Operator[C], Operator[D] } } +
	QASum[Operator[b, { Subscript[x, 2] }, {}], x] ** { { Operator[A], Operator[B] }, { Operator[C], Operator[D] } },
	
	TestID->"Matrix-20181217-P7Q9Q3"
]

(* Matrix Product with one Matrix included in a Sum *)
Test[
	QASum[{ Operator[a, { Subscript[x, 1] }, {}], Operator[b, { Subscript[x, 2] }, {}] }, x] **
	{ Operator[c], Operator[d] },
	
	QASum[Operator[a, { Subscript[x, 1] }, {}] ** Operator[c] + Operator[b, { Subscript[x, 2] }, {}] ** Operator[d], x],
	
	TestID->"Matrix-20181217-R7M5E0"
]

(* Matrix Product of Row Vector ** Column Vector *)
rowMatrix = { { 3, 4 } }
columnMatrix = { { 3 }, { 4 } }

Test[
	rowMatrix ** columnMatrix,
	25,
	TestID->"Matrix-20181217-P4S6M1"
]

(* Matrix Product of 2 VectorQ Matrices *)
Test[
	{ 3, 4 } ** { 3, 4 },
	25,
	TestID->"Matrix-20181217-K4L5G2"
]


(* Outer Product of 2 VectorQ Matrices *)
Test[
	({ 1, 2 } \[SmallCircle] { 3, 4 }) // Evaluate,
	{ { 3, 4 }, { 6, 8 } } * Operator[1],
	TestID->"Matrix-20181223-D7E4C8"
]