(* Wolfram Language Test file *)
(* This file is generated, do not change it by hand *)

(* ::Section:: *)
(* Custom Tests *)

(* THIS IS USED TO DEMONSTRATE THE USE OF CUSTOM TEST FILES *)

(* ::Section:: *)
(* Prototype: For testing name ordering rules *)

(*
   Generated test data:

	dimension: 3 
	use upper indices: True 
	use anti-commutation: False 
	use adjunct operators: False 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: k 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = True; 
	anti = False; 
	adjunct = False; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = k; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000001"
]

(*
   Generated test data:

	dimension: 2 
	use upper indices: False 
	use anti-commutation: True 
	use adjunct operators: False 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: k 
*)
Test[
	(																						(* parameters *)

	dim = 2; 
	up = False; 
	anti = True; 
	adjunct = False; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = k; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000002"
]

(*
   Generated test data:

	dimension: 2 
	use upper indices: False 
	use anti-commutation: False 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: k 
*)
Test[
	(																						(* parameters *)

	dim = 2; 
	up = False; 
	anti = False; 
	adjunct = True; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = k; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000003"
]

(*
   Generated test data:

	dimension: 2 
	use upper indices: True 
	use anti-commutation: False 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: k 
*)
Test[
	(																						(* parameters *)

	dim = 2; 
	up = True; 
	anti = False; 
	adjunct = True; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = k; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000004"
]

(*
   Generated test data:

	dimension: 2 
	use upper indices: False 
	use anti-commutation: True 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: k 
*)
Test[
	(																						(* parameters *)

	dim = 2; 
	up = False; 
	anti = True; 
	adjunct = True; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = k; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000005"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: True 
	use anti-commutation: True 
	use adjunct operators: False 
	name of operator 1: q 
	name of operator 2: q 
	index name 1: l 
	index name 2: k 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = True; 
	anti = True; 
	adjunct = False; 
	on1 = q; 
	on2 = q; 
	in1 = l; 
	in2 = k; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000006"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: False 
	use anti-commutation: True 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: q 
	index name 1: l 
	index name 2: k 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = False; 
	anti = True; 
	adjunct = True; 
	on1 = q; 
	on2 = q; 
	in1 = l; 
	in2 = k; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000007"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: False 
	use anti-commutation: False 
	use adjunct operators: False 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = False; 
	anti = False; 
	adjunct = False; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000008"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: True 
	use anti-commutation: False 
	use adjunct operators: False 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = True; 
	anti = False; 
	adjunct = False; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000009"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: False 
	use anti-commutation: True 
	use adjunct operators: False 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = False; 
	anti = True; 
	adjunct = False; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000010"
]

(*
   Generated test data:

	dimension: 2 
	use upper indices: True 
	use anti-commutation: True 
	use adjunct operators: False 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 2; 
	up = True; 
	anti = True; 
	adjunct = False; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000011"
]

(*
   Generated test data:

	dimension: 2 
	use upper indices: True 
	use anti-commutation: False 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 2; 
	up = True; 
	anti = False; 
	adjunct = True; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000012"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: True 
	use anti-commutation: False 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = True; 
	anti = False; 
	adjunct = True; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000013"
]

(*
   Generated test data:

	dimension: 2 
	use upper indices: False 
	use anti-commutation: True 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 2; 
	up = False; 
	anti = True; 
	adjunct = True; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000014"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: False 
	use anti-commutation: True 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = False; 
	anti = True; 
	adjunct = True; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000015"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: True 
	use anti-commutation: True 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: p 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = True; 
	anti = True; 
	adjunct = True; 
	on1 = q; 
	on2 = p; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000016"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: True 
	use anti-commutation: True 
	use adjunct operators: False 
	name of operator 1: q 
	name of operator 2: q 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = True; 
	anti = True; 
	adjunct = False; 
	on1 = q; 
	on2 = q; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000017"
]

(*
   Generated test data:

	dimension: 2 
	use upper indices: True 
	use anti-commutation: False 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: q 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 2; 
	up = True; 
	anti = False; 
	adjunct = True; 
	on1 = q; 
	on2 = q; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000018"
]

(*
   Generated test data:

	dimension: 3 
	use upper indices: False 
	use anti-commutation: True 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: q 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 3; 
	up = False; 
	anti = True; 
	adjunct = True; 
	on1 = q; 
	on2 = q; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000019"
]

(*
   Generated test data:

	dimension: 2 
	use upper indices: True 
	use anti-commutation: True 
	use adjunct operators: True 
	name of operator 1: q 
	name of operator 2: q 
	index name 1: l 
	index name 2: l 
*)
Test[
	(																						(* parameters *)

	dim = 2; 
	up = True; 
	anti = True; 
	adjunct = True; 
	on1 = q; 
	on2 = q; 
	in1 = l; 
	in2 = l; 
																				 			(* calculation *)
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim] } ),	
																							(* intended outcome *)
	
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)] ,
	
	TestID->"NameOrdering_20190523_000020"
]


