(* Wolfram Language Test file *)

(* Test of Name Ordering Rule, op1 ** op2 are in reverse order by operator name *)
Test[
	(
	dim = 2;
	up = True;
	anti = False;
	adjunct = True;
	on1 = q;
	on2 = p;
	in1 = k;
	in2 = l;
	
	sgnanti = If[anti, -1, +1];
	inorder = Order[{on1, in1}, {on2, in2}] >= 0;
	seq = If[adjunct, Sequence["H"], Sequence[]];
	op1 = Operator[on1, seq, Table[QASimplescript[in1, i, up], {i, 1, dim}], {}];
	op2 = Operator[on2, seq, Table[QASimplescript[in2, i, up], {i, 1, dim}], {}];
	(op1 ** op2) /. { DefineNameOrderingRule[anti, dim, up] }),
	If [inorder, op1 ** op2, sgnanti (op2 ** op1)],
	TestID->"NameOrdering-20181226-X4S4F9"
]

(* Test of Name Ordering Rule, op1 ** op2 are in reverse order by index name *)
Test[
	(op1 = Operator[p, "H", { QASimplescript[l, 1, True], QASimplescript[l, 2, True] }, {}];
	op2 = Operator[p, "H", { QASimplescript[k, 1, True], QASimplescript[k, 2, True] }, {}];
	(op1 ** op2) /. { DefineNameOrderingRule[False, 2] } // Activate),
	op2 ** op1,
	TestID->"NameOrdering-20190423-O9Y8H8"
]

(* Test of Name Ordering Rule, op1 ** op2 are in reverse order by index name, negative index *)
Test[
	(op1 = Operator[p, "H", { QASimplescript[l, 1, True], QASimplescript[l, 2, True] }, {}];
	op2 = Operator[p, "H", { -QASimplescript[k, 1, True], -QASimplescript[k, 2, True] }, {}];
	(op1 ** op2) /. { DefineNameOrderingRule[False, 2] } // Activate),
	op2 ** op1,
	TestID->"NameOrdering-20190423-H5N8U9"
]

(* Test of Name Ordering Rule, op1 ** op2 are in order *)
Test[
	(op1 = Operator[p, { QASimplescript[k, 1, True], QASimplescript[k, 2, True] }, {}];
	op2 = Operator[q, { QASimplescript[l, 1, True], QASimplescript[l, 2, True] }, {}];
	(op1 ** op2) /. { DefineNameOrderingRule[False, 2] } // Activate),
	op1 ** op2,
	TestID->"NameOrdering-20181226-D8L6F5"
]

(* Test of Name Ordering Rule, op1 ** op2 are in order by index name, negative index *)
Test[
	(op1 = Operator[p, { QASimplescript[k, 1, True], QASimplescript[k, 2, True] }, {}];
	op2 = Operator[p, { -QASimplescript[l, 1, True], -QASimplescript[l, 2, True] }, {}];
	(op1 ** op2) /. { DefineNameOrderingRule[False, 2] } // Activate),
	op1 ** op2,
	TestID->"NameOrdering-20190423-D2Y9D6"
]

(* Test of Name Ordering Rule, op1 ** op2 are in reverse order *)
(* Same as above but with Anti Commutator *)
Test[
	(op1 = Operator[q, "H", { QASimplescript[k, 1, True], QASimplescript[k, 2, True] }, {}];
	op2 = Operator[p, "H", { QASimplescript[l, 1, True], QASimplescript[l, 2, True] }, {}];
	(op1 ** op2) /. { DefineNameOrderingRule[True, 2] } // Activate),
	- op2 ** op1,
	TestID->"NameOrdering-20181226-C6Y4M7"
]

(* Test of Name Ordering Rule, op1 ** op2 are in order *)
(* Same as above but with Anti Commutator *)
Test[
	(op1 = Operator[p, { QASimplescript[k, 1, True], QASimplescript[k, 2, True] }, {}];
	op2 = Operator[q, { QASimplescript[l, 1, True], QASimplescript[l, 2, True] }, {}];
	(op1 ** op2) /. { DefineNameOrderingRule[True, 2] } // Activate),
	op1 ** op2,
	TestID->"NameOrdering-20181226-X2N0G3"
]

