(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    117566,       3007]
NotebookOptionsPosition[     86201,       2237]
NotebookOutlinePosition[    112987,       2851]
CellTagsIndexPosition[    112944,       2848]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Dirac Equation", "Title",
 CellChangeTimes->{{3.7379060270276327`*^9, 3.7379060309720855`*^9}}],

Cell[CellGroupData[{

Cell["Initialization", "Section",
 CellChangeTimes->{{3.746514322396964*^9, 3.746514325484739*^9}, {
  3.749185788173243*^9, 3.7491857925271187`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "QuantumAlgebra`"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7464441987103815`*^9, 3.746444236622961*^9}, {
  3.7467845915842257`*^9, 3.7467846033962855`*^9}, {3.746784661775163*^9, 
  3.746784664075014*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Application Quantum Algebra by Juergen Habelt\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJwVzn001XccB/DUTUa70hjTA8VJ1K6HyN1V+GKmB3NVSuUKYQ431KJaGiZE
KKFDediRI3XFPdYtGYXakc2IUKflNKOR352HO3mqae/PH5/zOu/zPud9PmuC
onaFqC1YsKAap+mf95N0hGMZcnWbI/DyeHkNGeNStaQAqhUt5Iph9PGIqFr4
yst9SxOc7vBfNwqLjfReBHAc236/yvwCTB8yWXQZykzfmRXAhV848G/DQQst
ngKmxJet/QX6WPtz5DkWWPsYxtVUJeYoObZo5PmlPNj38d2/C6Gm4FXyA+iX
eihkBM7bO0v0RjlWo3a1JBDu1m+xDoLpaQHOwbBZdrSLfLSjcUcInF2ysZwU
j2n9Qx5xdXYPhfs3vs6QQquWlepJsNO6cRMptN+nfR5m189vJYW8hkCS1/Tm
LhluMzVMGuQ+5edDM8Zvq4QjB8c236OdDTNicm/l+EVyl5/hnjq47Ravltx8
QdDXABOyct+Rja4iyX04uPXTErLi6nwL6bL6d4M/oHS7b/pfsDtTnqY2xrHK
0rABTThxzK1tKTQd2DekCw9aW16zg6uf+FgJ4d7cwBofOKrnu2w/NPR8WUMe
sIwWSuDjqQsnc+GGmye5OphiYxD+FG7vUPz8Jzz1a4f9G+gR4fvhP3g7QdtT
Z5xjm+xWd5rBZaI3TZbwbLeIZws1r20V2cO40GGeEK6VGexwgAMN7e/J+m2r
eg5A09S8d2egbb/40S14JynW6/Y4/b9GP22CY4UVehKyf6r7OHl5QPNH8ocp
o2dk8y1Xj3R457RhPym16V15Hh6dmIwg4yZqb5Dz89n/ZsFvlYn9ZTC5RJer
gh5XVL7V8LfZM1lkUM6Qthy2fZX++WIVx55Hqtr40LBP1VMOlcPSGOO3HAvd
2Kkyh+JRkfuxaY75+56IuQLjihTysVmOBa/L75mCzRKT89Owa/LOjeVzHNNV
nJqyh1/fK2qOgJLxLrUMOLzb2jITRmrOzS7hK5nFRGuTBgzu0JD7QP3qZM92
HSUTXa8bGYWhPA2NGVg6nN46C3d+U9xLDjo+e0uGmRXqzsGh2moROWpmU0pm
eLl5v4dJpz3aSAuLtaWGy9GfaPBeAR9My0pMYLzFqgnycKB0sSl0OqklNIPq
hwRxZPCwrJ0sDZa1rYfr+68KwnWVTGxp1xhDxs/MkXtSnK1iYZcyJ/8U3Dng
JCNrC5LSvoOOBlFup6Fq4cVP4uBep4L39ZQdxd2T0Dwv8cNFPSVbuu7sYf3P
lCwiuEGR46Zk9wRGZbnwkqBFrwaqv+jjK6Bf88tzgV8qmUBL1zwaGq+YlpMW
Hz1pJW11VC7JMIHNPsyk7BWq0nBXMmHOdVdb+H2Kdy/pb9Bk6ggjQ+bjybHy
m8uc4EyFREry5ZuXOkNXK3EAWWUcW0zGJmxZxWiPObwm68cmOTLscLaLK+zW
6Mn3hWdSUxor4cOUSB8F/B9jtPGx
  "]],

Cell[BoxData["\<\"This package is based on the work of Cesar Guerra \
G.,\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJwVzn001XccB/DUTYbdHsaYosJJ1K6HyN2t8MVMZG5FqVxFmJMbahFLw0QR
pTyMPO2oI3XFPeZKRmHtqM0SUZ2W00zNw+/Ow508Nu39+eNzXud93ue8z2dt
UOSuELUFCxZU4zQDcn+UDnMsQ65ucxTmjZXXkNHOVUsKoFrxQq4ERp0Ij6yH
r7zdtrbAqY6AdSOwZLXui0McxzzuVplfhOkDJovyoMx0zqwALvxsC78WvrbQ
4ilgasI141+gr3UAR55jgfUPYHxNVVK2kmOLhp9fzoW9H97+uwhqCl6l3IP+
Zw+GDMN5eyeJ7gjHatQKSwPhbr026yCYnnbIKRi2yo51kfc9mz1D4MySjeWk
eFTrH/Koi5NbKNy38U2GFFq1rVJPhp3WzZtIof3epefhpcb5baSQ1xRI8lqG
bpNHbCYHSf2cJ/x8aMb47ZVw+MDo5ju0s2FaTO6pHMsid/kb+DTA7bd49eTm
i4LeJph4IWeObHYRSe7C19s+LiUrCufbSGej3/X/gFIPv/S/YHemPE1tlGOV
ZWH9mnD8uGu7NjTt3zugAw9YW161g0aPfa2EcE9OYI0vHNH1W7YPGni9rCH3
W0YJJfDB5MXYHLjhZizXAFNt9I88gR4dip/+hHG/dtgPQfdwv/f/wdrEpV7L
xzi2yc6o0wwuEw21WMIz3SKeLdS8uk1kD+NDB3lCaCzT99wC+5sevSMbtxv2
7IemZ3PnTkPbPvH9W7AuOca7doz+X6uXNs6xogpdCdk32X2CzOvX/IH8bnL1
M7L1lot7Oqw7ZdBHSm2erjoPj41PhJPx4/U3yPn5S/9egF8rk/quwZRSHa4K
ul9R+VXD32ZOXyCDsgeWymH7F+mfLlZx7HmEqp0PDXpVPeVQOSiNXvOWY6Eb
O1XmUDwicjs+xbEAv5PRV2B8sUI+OsOx4HX5PZOwVWJyfgp2TdTdWDHLMR1F
3KQ9/PJOcWs4lIx1qWXAwd3WlpkwQnN2ZglfySzGH7ZowOAODbkv1KtO8Xq0
XMlE1xuGR2AoT0NjGpYNpj+cgTu+KnlKvnZ49pYMMyvSmYUD9dUicsTMpozM
8Hbd+Q4mn3JvJy0sjMsMVqA/2bRzJbw3JSs1gQkWhuPk4UDpYlPoGKslNIPq
BwXxZPCg7BFZFixrXw/X9xUKjugomdjSrjmaTJieJX1SnaxiYJcyOz8O7uh3
lJH1Bclp30AH/UjXU1C1MOujeLjHseBdI2UHcfcENM9Nep+lq2Ta684c1vtE
ycKDmxTZrkp2R7D6Wg68LGjTrYHqL3r5Cujf+vJc4OdKJtDSMY+Ca1ZOyUmL
Dx4/JG2Xq5xTYCKb+TmTsneoSsNNyYTZ111s4bepO5+SAfotpg4wImQ+gRwt
v7nMEU5XSKQkX75Z2wm6WIkPkVVrYkrImMSthoz22JY3ZOPoBEeGHb7k7AK7
NXry/eDps6nNldDn+whfBfwfYLPxUw==
  "]],

Cell[BoxData["\<\"who developed the original package for Mathematica \
4.1/4.2\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJwVzn001XccB/DUDaPd1BjTs5xEdj0k7q7CFzOp5vagVK48z+GGWqSlYaI8
k4dDD+yoo4cr7rFuYRTWJpslojotpxmN/O483MnztPfnj895nfd5n/M+n3UB
kXuC1RYsWFCF0/It+EE6xLEMubr1UVg4Wl5NRjtXahRDtSsLuRIYdSI8sga+
9nTb2gQn2303DMOSNXov/TiOedyvNM2GaQPrFxVCmfGsSTFc+Jk9/w7sN9Pm
KWBK/DWjn6GXlS9Hnmf+NY9gXHVlYp6SY4uGXlwogD0f3vv7MtQSvE5+AH3O
HQkegvN2ThK9YY5Vq10q9Yd79VusAmBaqp9TEGyWHeskH+5o3BEMpzXMy0nx
iPY/5FEXJ7cQeND8TYYUWrasVE+CHVaNm0mh3YGl6TC3fn4bKeQ1+JO8prf3
yDDriUHSIP8pvwiaMH5bBRw6PGJbSzubpsTk/orRHHKPj+G+Orj9Nq+GtM0W
9DTAhKz8WbLRRSS5D/u3fVxK3rg030I6r/7d4A8o9fBO+wt2ZcpT1UY4VlEW
2qcFx467ti2Bxn0HBnThYSuLq1vg6idelkK4P9+/2gsO63nrHISGu15Vk4cs
ooQS+GgiOzYfbroVy9XBFGuDsKfQo13x45/w1K/tdm+he7j3+//gnYSlu5aN
cmzzltUdJlBH9LbJAp7tEvFsoNbVbSI7GBcyyBNCI5nBDnvY1/B4jqzfvqr7
EDQ+VzB7Btr0ih/ehneTYjzvjNL/6/RTxzh2+YaehOyd6DpBFvZpfU9+N7Hm
Odl828U9Dd49bdhLSq2frUyHx8bGw8m4sZqb5Px87r9Z8GtlYu81mFyqy1VC
94sq7yr42/SZLDIgb2CpHLZ9kfbpYhXHXkSo2vjQsEfVXQ6Vg9Lote84FmLe
oTKF4mGR2/FJjvl6n4y+COOuKOQj0xwL2lDUPQGbJevTJ2Hn+N2by2c4pqs4
NWEHv6y90hwOJaOdahlwcK+VRSaM0JqZ1uArmdlYa5MmDGrXlHtB/arkXY+X
KZnoet3QMAzhaWpOwbLBtNZpuPOrkmdkv8Pzd2SoyWXdGThQUyUih02sy8gM
T9fdczDptHsbaWZmVGa4HP3Jht0r4INJWel6GG+2aowM9JcuNoaOsdpCE6h+
RBBHBg3KHpNlQbK2jXBj7yVBmK6SiS22NEaT8VMz5L4UJ8sY2KnMKzoFd/Y5
ysia4qTUb6CDQaTraahamPNRHNzvWDxXT9lB3DUOTQsS3+foKdmSDWcD9T9R
svCgBkWeq5LVCtZcy4cXBC161VD9ZQ9fAX2aX533/1zJBNq6plFw7YpJOWn2
wZNW0maZyjkZJrDpnzIpe4aoNN2UTJh33cUGfpuy+xnpa9Bk7AAjgufjyZHy
WzqOcOqGREry5bZLnKCLpdiPrFwbU0LGJGxdxWiP2b8h60fGOTI0MNfZBXZp
dhd5wzPnUhor4C/3IrwU8H9lI/Hl
  "]],

Cell[BoxData["\<\"For proper styling you should invoke SetNotebookStyles \
once.\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJwVzns01nccB/DUE4Y9XcaY7uUksscll2ePwhczKfOolC6P3OfwpMuiGg2J
cuvmcshtR47UI55jPUWjsHZkMyLKaTnNaOT3zOWZ3DLt/fnjc17nfd7nvM9n
XeDRXSFqCxYsqMJp+WX/KB3mWLpc3eoIzBkrqyajnCs18qBa4UKuCB47GXG0
Br72ctvaCKfa/TaOwKI1ei/9OY55PKw0uQxTBzcsyoEyo/fGeXDhF/b8u3DA
VJungMlxpet/gT6Wfhx5kQXUPIGx1ZUJmUqOLRruuZYNez++/3cB1BK8TnoE
D104HDIM5+2cJHojHKtWyy8OgLv1my0DYWqKv1MwbJId7yQf72jYEQJnNMzK
SPGo9j/kERcnt1C43+xNuhRaNK9UT4Qdlg1bSKHdviVp8Grd/DZSyKsPIHmN
b++T4VaTQ6RB1jN+LjRm/NYKOHxw1LaWdjZPi8m9FWNXyF2HDPc8gNvv8GpI
28uC3noYfynrPdngIpI8hAPbPi0my/Pnm0nn1b8b/AGlHr6pf8GuDHmK2ijH
KkrC+rXg+AnXVh1o1L9vUBcetDS/YQNXP/WxEMK9WQHVPnBEz3fpfmjo+aqa
PGB+TCiBTyYvn86Cm2+f5h7AZCuD8GfQo13x05/wzK/tdm+he4Tvh//g3fgl
nsvGOLbFZnWHMVwqettoDs93iXjWUOvGNpEdjA0d4gnhepnBDnvYX982R9Zt
X9V9ABpdyH5/Flr3iR/fgfcSo73ujtH/6/RTxjlWUK4nIfsmu06SOf1aP5Dn
Jte8IJvuuLinwnsxhn2k1Or5yjR4fHwigowdr7lFzs9f/fcS/FaZ0FcKk4p1
uUrofl3lWwV/mzl7iQzMHFwih61fpX6+WMWxnkhVKx8a9qq6y6BySBq19h3H
Qs06VCZQPCJyOzHFMT/fU1HXYWyhQj46w7Hgjbndk7BJsiFtCnZO3Lu1fJZj
uoozk3bw69rCpggoGetUS4dDuy3NM2Ck1uyMBl/JTMdbGjVhcLum3AfqVyV5
ti1TMtHNB8MjMJSnqTkNS4ZSW2bgzm+KnpMDDi/ekWHGBbqzcLCmSkSOGFuV
kOlert5zMDHGvZU0NV1fYrgc/al67xXw0ZSseAOMM101TgYFSBcbQcfT2kJj
qH5YEEsGD8nayJJgWesmuKkvXxCuq2Ric5uGKDJuepbck+xkEQ07lZm5Z+DO
fkcZWZOXmPIddDA46hoDVQuvfBIL9zrmzdVRdhB3TUCT7IQPV/SUTGfj+SD9
z5QsIrhekemqZLWCNaVZ8JqgWa8aqr/s5SvgoaZXFwO+VDKBtq7JMbh2xZSc
NP3oaQtpvUzlnATj2czPGZS9QlWabkomzLzpYg2/T/Z+TvoZNBo5wMiQ+Thy
tOz2Ukc4XS6Rkny5rY4TdLEQ+5OVa6OLyOj4rasY7TH7N2Td6ARHhgVddXaB
XZrdub7w7IXkhgoo74n0UcD/AWVa8fA=
  "]],

Cell[BoxData["\<\"ALIASES:\\nESC op(du) ESC - Operator with or without \
indices\\nESC hop(du) ESC - Hermitian Operator with or without indices\\nESC \
ket(du) ESC - Ket with or without indices\\nESC (du)bra ESC - Bra with or \
without indices\\nESC (du)braket(du) ESC - BraKet with (left and / or right) \
subscript(s) and / or superscript(s).\\nLetters in parenthesis signify \
optional indices (u - up, d - down) and must be given in that \
order.\\nExample: use opd for an Operator with lower index.\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJwVzns01nccB3DqCaM9XcaYLro4RPa4JJ49Fb6YiZqnC6k8irBOnlCLGIZE
uXRFxy121NHlcXmOeYRRWDtqs5RQp+U0o7n8nrk8k1umvT9/fM7rvM/7nPf5
rA0M3x2srqamVonT9s/5UTrMsUy5hs1xeG2stIqMdK7QzIPq1xdwRTDiVGh4
LXzj5ba1GU61+5uMwCIjvVeHOY553K8wuwTTB9YvvAZlxu9N8+CCL7bwq2G/
uQ5PAVMTbq77BXpb+3PkeRZQ+wjGVVUkZSk5tnD45dUc2PPxvb8LobbgTcoD
6HfuUPAwnLd3kuiNcKxKvaA4AO7Rb7UOhOlph52CYIvsRAf50LPJMxjOaFqU
kuJRnX/I4y5ObiFwv8XbTCm0al2pkQyfWTdtIoX2+5ZkwCsN89tIIa8xgOQ1
D90jj9lMDpIG2c/5udCU8dvK4PDBUbs62tk4LSZ9ysYuk7v9DPfWw+3lvFrS
7pKgpxEmXsx+Tza5iCT3Yf+2T4vJ2wXzraTz6t8N/oBSD9/0v2DnBXma+ijH
ykqO9mnD8ZOubYuhcd++AV140Nryxma4+qm3lRD6ZAdUecMRPd+l+6HhztdV
5AHLCKEEPpq8FJ0NN96N5uphqo3BsefQo13x058w5td2+yHoHur74T9Ynbhk
57Ixjm3avPqZKVwqGmq2hGc7RTxbqH1jm8gexoUM8oRwnczAcwvsa3wyRzZs
X9V1ABqfy3kfD217xQ/LYU1ylFf1GP2/Vj9tnGOFt/UkZO9k5ynyWp/2D+SZ
SaMXZEu5i3s6rIk17CWlNt0rM+CJ8YlQMm689g45P3/l34vwW2VS702YUqzL
VUD3fJVvJfxtJv4iGZg1sEQO275K/3yRimMvw1RtfGjYo+oqhcpBaeSadxwL
sXimMoPiEZHbySmO+fuejsyHcdcV8tEZjgWZ5HZNwhbJ+owp2DFRc2f5LMd0
FTGT9vDruustoVAy1qGeCQf3WFtegGHaszOafCUzH3/crAWD2rXk3lC/MmXn
k2VKJrpVPzwCQ3haWtOwZDD98Qzc8U1RN9nv8OIdedS0UHcWDtRWisgRU5sS
MtPLddccTI51byPNzdeVGC5Hf7px1wr4YEpWvB4mmK8aJ48ESBcZQ8doHaEp
1DgkiCODBmVPyJIgWdsGuKG3QHBMV8nElpubIsmE6Vlyb6qTVRTsUGblxsAd
fY4ysjYvOe076GAQ7hoLVQsufxIHfRzz5hooO4g7J6BZTtKHy3pKttjk7BH9
z5QsNKhRkeWqZHUCo5vZ8KqgVa8Karzq4SugX8vr8wFfKplAR9csAq5ZMSUn
zT96+pi0XaZyToGJbObnC5S9QlRabkomzLrlYgu/T93VTfobNBs7wLDg+QRy
tPTuUkc4fVsiJflyu8VO0MVKfJisWBNVREYlbl3FaI9teUs2jE5w5NEjV5xd
YKdWV64vjD+X2lQGxzryvRXwf2g48lY=
  "]]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"SetNotebookStyles", "[", "]"}]], "Input",
 CellChangeTimes->{
  3.7464465350782166`*^9, {3.7467867818666573`*^9, 3.746786794272455*^9}, {
   3.7488646165231347`*^9, 3.7488646349727516`*^9}, {3.749185776721876*^9, 
   3.7491857781261196`*^9}}],

Cell[CellGroupData[{

Cell["Rules", "Subsection",
 CellChangeTimes->{{3.749209839205864*^9, 3.7492098401413436`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Declare", " ", "a", " ", "name", " ", "for", " ", "a", " ", "set", " ", 
    "of", " ", "assumptions"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"QASelectDefault", "[", "\"\<Dirac\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Define", " ", "the", " ", "Index", " ", "Character", " ", "in", " ", 
     "the", " ", "calculated", " ", "expressions"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QASetIndexCharacter", "[", 
     RowBox[{"{", 
      RowBox[{"\"\<Mixed\>\"", ",", 
       RowBox[{"{", "}"}]}], "}"}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Define", " ", "the", " ", "Index", " ", "Character", " ", "in", " ", 
     "the", " ", "calculated", " ", "expressions"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"QASetIndexCharacter", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<Contravariant\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"p", ",", "p1"}], "}"}]}], "}"}], "]"}], ";"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Define", " ", "the", " ", "TIME", " ", "COMPONENT", " ", "OF", " ", 
      "MOMENTUM", " ", "as", " ", "being", " ", "integration", " ", 
      "variables"}], ",", " ", 
     RowBox[{"not", " ", "constants"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAResetExplicitIntegrationVariables", "[", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAAddExplicitIntegrationVariables", "[", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["p", "0"], ",", " ", 
       SubscriptBox["p1", "0"]}], "}"}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Define", " ", "Not", " ", "Scripted", " ", "Symbols"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ResetNotScriptedSymbols", "[", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AddNotScriptedSymbols", "[", 
     RowBox[{"{", 
      RowBox[{"m", ",", "V"}], "}"}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Define", " ", "variables", " ", "as", " ", "being", " ", "reals", " ", 
     "or", " ", "non", " ", "negative", " ", "reals"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAResetAssumptions", "[", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAAddAssumptions", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "\[Element]", "Reals"}], "&"}], ",", 
       RowBox[{"Table", "[", " ", 
        RowBox[{
         SubscriptBox["p", "i"], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "]"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAAddAssumptions", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "\[Element]", "Reals"}], "&"}], ",", 
       RowBox[{"Table", "[", " ", 
        RowBox[{
         SuperscriptBox["x", "i"], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "]"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAAddAssumptions", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "\[Element]", "Reals"}], "&"}], ",", 
       RowBox[{"Table", "[", " ", 
        RowBox[{
         SubscriptBox["p1", "i"], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "]"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAAddAssumptions", "[", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "\[Element]", "Reals"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "\[DoubleStruckCapitalE]", ",", "V", ",", "q"}], 
        "}"}]}], "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAAddAssumptions", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SubscriptBox["p", "0"], "\[GreaterEqual]", "0"}], ",", 
       RowBox[{
        SubscriptBox["p1", "0"], "\[GreaterEqual]", "0"}], ",", " ", 
       RowBox[{"V", "\[GreaterEqual]", "0"}], ",", 
       RowBox[{"m", "\[GreaterEqual]", "0"}], ",", 
       RowBox[{"\[DoubleStruckCapitalE]", "\[GreaterEqual]", "0"}]}], "}"}], 
     "]"}], ";"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Define", " ", "a", " ", "replacement", " ", "rule", " ", "for", " ", 
     "the", " ", "mass", " ", 
     RowBox[{"invariant", ".", " ", "This"}], " ", "is", " ", "required", " ",
      "to", " ", "perform", " ", "adequate", " ", 
     RowBox[{"simplifications", ".", " ", "Without"}], " ", "giving", " ", 
     "it", " ", "a", " ", "name", " ", "the", " ", "default", " ", "name", 
     " ", "\"\<Dirac\>\"", " ", "is", " ", 
     RowBox[{"used", "."}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"QAAddReplacementRules", "[", 
     RowBox[{"{", "  ", 
      RowBox[{
       RowBox[{"QASum", "[", 
        RowBox[{"exp_", ",", "p_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"QASum", "[", 
        RowBox[{
         RowBox[{"exp", "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"m", "^", "n_Integer"}], ")"}], "/;", 
             RowBox[{"n", "\[GreaterEqual]", "2"}]}], "\[RuleDelayed]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"m", "^", 
               RowBox[{"(", 
                RowBox[{"n", "-", "2"}], ")"}]}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 SubscriptBox["p", "0"], "2"], "-", 
                SuperscriptBox[
                 SubscriptBox["p", "1"], "2"], "-", 
                SuperscriptBox[
                 SubscriptBox["p", "2"], "2"], "-", 
                SuperscriptBox[
                 SubscriptBox["p", "3"], "2"]}], ")"}]}], ")"}]}], "}"}]}], 
         ",", "p"}], "]"}]}], "}"}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Define", " ", "Anti", " ", "Commutator", " ", "Rules", " ", "and", " ", 
     "Name", " ", "Ordering", " ", 
     RowBox[{"rules", ".", " ", "We"}], " ", "have", " ", "2", " ", "sets", 
     " ", "here", " ", "with", " ", "different", " ", "names", " ", "each", 
     " ", "for", " ", "a", " ", "different", " ", "evaluation", " ", 
     RowBox[{"chain", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAAddReplacementRules", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"DefineNameOrderingRule", "[", 
         RowBox[{"True", ",", "3"}], "]"}], ",", 
        RowBox[{"DefineCommutatorRule", "[", 
         RowBox[{"True", ",", "False", ",", "True", ",", "3"}], "]"}]}], 
       "}"}], ",", "\"\<AntiCommutatorLocal-Dirac\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAAddReplacementRules", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"DefineNameOrderingRule", "[", 
         RowBox[{"True", ",", "3"}], "]"}], ",", 
        RowBox[{"DefineCommutatorRule", "[", 
         RowBox[{"True", ",", "False", ",", "False", ",", "3"}], "]"}]}], 
       "}"}], ",", "\"\<AntiCommutatorLocal-Reverse-Dirac\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.748970308237199*^9, 3.7489703878332844`*^9}, {
   3.7489704228220263`*^9, 3.7489704701583986`*^9}, 3.748970505174759*^9, 
   3.7489706999186296`*^9, {3.7489713455338335`*^9, 3.7489714433490677`*^9}, {
   3.7489715074835024`*^9, 3.7489715207165184`*^9}, {3.749012846909777*^9, 
   3.749012872213085*^9}, {3.7490384008539915`*^9, 3.749038475563145*^9}, {
   3.749038552595388*^9, 3.749038565637499*^9}, {3.7492105637737045`*^9, 
   3.7492105929815745`*^9}, {3.749213588022809*^9, 3.7492135893213344`*^9}, {
   3.7492136347328587`*^9, 3.7492136509979506`*^9}, {3.750511250989771*^9, 
   3.7505112708626485`*^9}, {3.750512271611985*^9, 3.7505122853831177`*^9}, {
   3.750512577738172*^9, 3.750512578159047*^9}, 3.750786497598729*^9, 
   3.7549332230880985`*^9, {3.7549332534847555`*^9, 3.754933274109601*^9}, {
   3.7549358673256235`*^9, 3.7549358711523805`*^9}, {3.765452630921174*^9, 
   3.7654526587437468`*^9}, {3.7654526921613693`*^9, 
   3.7654527251132383`*^9}, {3.765453882574889*^9, 3.7654539515579653`*^9}, {
   3.76743156249013*^9, 3.76743158762293*^9}, {3.7674316250074744`*^9, 
   3.7674316443327885`*^9}, {3.7687995522714467`*^9, 3.768799583928298*^9}, {
   3.76882325265517*^9, 3.7688232689029627`*^9}, {3.768823692824069*^9, 
   3.768823696584011*^9}, {3.768823742350528*^9, 3.768823755332837*^9}, {
   3.7688241556837873`*^9, 3.7688241596441965`*^9}, {3.7688343037929306`*^9, 
   3.7688343120578475`*^9}, 3.76883434846342*^9, {3.768834382193814*^9, 
   3.768834383462452*^9}, {3.7688344264674067`*^9, 3.7688344589564533`*^9}, {
   3.7688344918035803`*^9, 3.7688345028021884`*^9}, 3.7688352507429914`*^9, {
   3.7688362275660706`*^9, 3.7688362385926056`*^9}, {3.771250974543264*^9, 
   3.771251048654283*^9}, {3.7712511108101187`*^9, 3.771251131858101*^9}, 
   3.7940493737213793`*^9, {3.7940494649109144`*^9, 3.7940494693161383`*^9}, {
   3.794049834357194*^9, 3.7940498852934866`*^9}, {3.7940500523290396`*^9, 
   3.794050114918697*^9}, {3.794050169808011*^9, 3.7940502211916213`*^9}, {
   3.794052319707897*^9, 3.7940523331629577`*^9}, {3.7941126393347864`*^9, 
   3.794112659758219*^9}, {3.7941170642154503`*^9, 3.7941170705724945`*^9}, {
   3.794118703147397*^9, 3.7941187201838503`*^9}, {3.7949298458947153`*^9, 
   3.7949298569182096`*^9}, {3.794930353679969*^9, 3.7949303821628323`*^9}, {
   3.7949308505250573`*^9, 3.7949308959116983`*^9}, {3.7949314610480947`*^9, 
   3.794931464653457*^9}, {3.7949774239450307`*^9, 3.794977456273615*^9}, {
   3.795150218930225*^9, 3.7951502254348755`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "rule", " ", "is", " ", "used", " ", "for", " ", "the", " ", 
    "Dirac", " ", "Equation", " ", "alone"}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"QAAddReplacementRules", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"m", "^", "2"}], "\[RuleDelayed]", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          SubscriptBox["p", "0"], "2"], "-", 
         SuperscriptBox[
          SubscriptBox["p", "1"], "2"], "-", 
         SuperscriptBox[
          SubscriptBox["p", "2"], "2"], "-", 
         SuperscriptBox[
          SubscriptBox["p", "3"], "2"]}], ")"}]}], "}"}], ",", 
     "\"\<DiracEquation\>\""}], "]"}], ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7941285806840963`*^9, 3.7941286251163206`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Fields", "Subsection",
 CellChangeTimes->{{3.754937168936249*^9, 3.754937170143011*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Define", " ", "the", " ", "exponent", " ", "of", " ", "wave", " ", 
    "function", " ", "solutions"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"exp", ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        SubscriptBox["p", "i"], " ", 
        SuperscriptBox["x", "i"]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}]}], 
    "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.746790561237116*^9, 3.746790579017577*^9}, {
   3.746790624828087*^9, 3.7467906832289424`*^9}, {3.7467910806134157`*^9, 
   3.746791097648903*^9}, {3.7467912451504765`*^9, 3.746791359024001*^9}, {
   3.7472853208397675`*^9, 3.747285355043347*^9}, 3.7492106375024843`*^9, {
   3.767431661662439*^9, 3.767431700829702*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Normalization", " ", "Factor"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"nfac", ":=", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["p", "0"], "+", "m"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "  ", "m"}], ")"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Factor", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"fac", ":=", 
    RowBox[{
     SubscriptBox["p", "0"], "+", "m"}]}], "\n", 
   RowBox[{"(*", " ", 
    RowBox[{"Coefficient", " ", "Matrices", " ", "and", " ", "Spinors"}], " ",
     "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["\[GothicU]", "1"], ":=", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", 
      RowBox[{
       RowBox[{"-", 
        SubscriptBox["p", "3"]}], "/", "fac"}], ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["p", "1"], "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           SubscriptBox["p", "2"]}]}], ")"}]}], "/", "fac"}]}], "}"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["\[GothicU]", "2"], ":=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["p", "1"], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           SubscriptBox["p", "2"]}]}], ")"}]}], "/", "fac"}], ",", 
      RowBox[{
       SubscriptBox["p", "3"], "/", "fac"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["\[GothicV]", "2"], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SubscriptBox["p", "3"]}], "/", "fac"}], ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["p", "1"], "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           SubscriptBox["p", "2"]}]}], ")"}]}], "/", "fac"}], ",", "1", ",", 
      "0"}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["\[GothicV]", "1"], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["p", "1"], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           SubscriptBox["p", "2"]}]}], ")"}]}], "/", "fac"}], ",", 
      RowBox[{
       SubscriptBox["p", "3"], "/", "fac"}], ",", "0", ",", "1"}], "}"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["u", "1"], ":=", 
    RowBox[{"nfac", "*", 
     SubscriptBox["\[GothicU]", "1"]}]}], "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["u", "2"], ":=", 
    RowBox[{"nfac", "*", 
     SubscriptBox["\[GothicU]", "2"]}]}], "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["v", "2"], ":=", 
    RowBox[{"nfac", "*", 
     SubscriptBox["\[GothicV]", "2"]}]}], "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["v", "1"], ":=", 
    RowBox[{"nfac", "*", 
     SubscriptBox["\[GothicV]", "1"]}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.738592316868593*^9, 3.738592339289065*^9}, {
   3.7385923760388412`*^9, 3.738592428063814*^9}, {3.738592469357442*^9, 
   3.7385925223866158`*^9}, 3.738592991515793*^9, {3.738593023124278*^9, 
   3.738593043582775*^9}, {3.73859341081429*^9, 3.7385934401927795`*^9}, {
   3.7385936251399508`*^9, 3.738593683110407*^9}, {3.7385942289269543`*^9, 
   3.738594241377874*^9}, {3.7385945438118773`*^9, 3.7385945457377276`*^9}, {
   3.738594615983533*^9, 3.7385946519438925`*^9}, {3.738594829714522*^9, 
   3.738594836917261*^9}, 3.7385948676269393`*^9, {3.7492111031361895`*^9, 
   3.7492111421689034`*^9}, {3.74921120454009*^9, 3.7492112102068996`*^9}, 
   3.749730021516445*^9, {3.7498083097507114`*^9, 3.749808328820673*^9}, {
   3.7510979617521963`*^9, 3.751097979568615*^9}, {3.7523973533199143`*^9, 
   3.75239736072806*^9}, {3.752415153744912*^9, 3.7524151682261586`*^9}, {
   3.7549193448569307`*^9, 3.754919347936687*^9}, {3.767432916814577*^9, 
   3.7674329553655043`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Plane", " ", "Wave", " ", "Solution"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"\[CapitalPsi]", ":=", 
    RowBox[{
     RowBox[{
      UnderscriptBox["\[Sum]", "p"], " ", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"r", "=", "1"}], "2"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{"m", "/", 
           RowBox[{"(", 
            RowBox[{"V", " ", 
             SubscriptBox["p", "0"]}], ")"}]}], "]"}], 
         SubsuperscriptBox[
          OverscriptBox["c", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], "r"], " ", 
         SubscriptBox["u", "r"], " ", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "\[ImaginaryI]"}], " ", "exp"}], "]"}]}], ")"}]}]}], 
     "+", "\[IndentingNewLine]", 
     RowBox[{
      UnderscriptBox["\[Sum]", "p"], " ", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"r", "=", "1"}], "2"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{"m", "/", 
           RowBox[{"(", 
            RowBox[{"V", " ", 
             SubscriptBox["p", "0"]}], ")"}]}], "]"}], 
         SubsuperscriptBox[
          OverscriptBox["d", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], 
          RowBox[{"r", ",", "\[Dagger]"}]], " ", 
         SubscriptBox["v", "r"], " ", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"+", "\[ImaginaryI]"}], " ", "exp"}], "]"}]}], 
        ")"}]}]}]}]}], "\n", 
   RowBox[{
    OverscriptBox["\[CapitalPsi]_", "_"], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Hermitian", "[", "\[CapitalPsi]", "]"}], "\[CenterDot]", 
       TagBox[
        TemplateBox[{"\[Gamma]","0"},
         "Superscript"],
        Function[BoxForm`e$, 
         MatrixForm[BoxForm`e$]]]}], "\[InvisibleSpace]", ")"}], "//", 
     RowBox[{"QASimplify", "[", "]"}]}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.749728940273341*^9, 3.7497289887512493`*^9}, {
   3.7497290352767925`*^9, 3.749729061891636*^9}, 3.7497291496293216`*^9, {
   3.749729219926312*^9, 3.749729305279954*^9}, {3.7497293745776157`*^9, 
   3.749729427092954*^9}, {3.7497295567860117`*^9, 3.7497295688088202`*^9}, {
   3.749729602040923*^9, 3.749729647146406*^9}, 3.749729962284891*^9, 
   3.7497317328443346`*^9, {3.749731834020791*^9, 3.7497318439342723`*^9}, {
   3.749811819945609*^9, 3.7498118869487667`*^9}, {3.7498119786238403`*^9, 
   3.7498120051888075`*^9}, {3.7498121634110985`*^9, 3.749812166041068*^9}, {
   3.749812448356779*^9, 3.7498124644696765`*^9}, {3.7498145307137403`*^9, 
   3.74981453936061*^9}, {3.749830226327797*^9, 3.7498302285967493`*^9}, 
   3.749912803913763*^9, 3.75057034044425*^9, 3.7505898043367586`*^9, {
   3.75491737276879*^9, 3.7549173846779194`*^9}, {3.755239812906081*^9, 
   3.7552398320554657`*^9}, {3.767607856077035*^9, 3.767607870248171*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Eigen", " ", "Solutions", " ", "of", " ", "the", " ", "Dirac", " ", 
    "Equation"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Superscript", "[", 
     RowBox[{"\[CapitalPsi]", ",", "1"}], "]"}], ":=", 
    RowBox[{
     SubscriptBox["u", "1"], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", "exp"}], "]"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Superscript", "[", 
     RowBox[{"\[CapitalPsi]", ",", "2"}], "]"}], ":=", 
    RowBox[{
     SubscriptBox["u", "2"], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", "exp"}], "]"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Superscript", "[", 
     RowBox[{"\[CapitalPsi]", ",", "3"}], "]"}], ":=", 
    RowBox[{
     SubscriptBox["v", "2"], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"\[ImaginaryI]", " ", "exp"}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Superscript", "[", 
     RowBox[{"\[CapitalPsi]", ",", "4"}], "]"}], ":=", 
    RowBox[{
     SubscriptBox["v", "1"], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"\[ImaginaryI]", " ", "exp"}], "]"}]}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7492126029798937`*^9, 3.7492126126091375`*^9}, {
   3.749212649344903*^9, 3.7492127281450405`*^9}, {3.749212776801013*^9, 
   3.749212780213903*^9}, {3.7492128126221895`*^9, 3.749212821592609*^9}, {
   3.749212860566321*^9, 3.7492129395505805`*^9}, {3.749293490796563*^9, 
   3.749293492117037*^9}, {3.749293533633948*^9, 3.7492935489040976`*^9}, {
   3.7492937559989414`*^9, 3.749293782824461*^9}, 3.749297404937399*^9, {
   3.7676077998354564`*^9, 3.7676078260713253`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Evaluation Chain", "Subsection",
 CellChangeTimes->{{3.7675278827105026`*^9, 3.767527888276621*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "Rationals", " ", "for", " ", "using", " ", "this", " ", "pipeline", " ", 
     "of", " ", "evaluations", "\[IndentingNewLine]", "1.", " ", "SumSplit"}],
     ",", " ", "IntegrateSplit", ",", " ", "AntiCommutatorLocal", ",", " ", 
    RowBox[{
     RowBox[{"Simplify", ":"}], "\[IndentingNewLine]", "\[Rule]", " ", 
     RowBox[{
     "resolve", " ", "summations", " ", "and", " ", "integration", " ", "to", 
      " ", "one", " ", "summation"}]}], ",", " ", 
    RowBox[{
    "sort", " ", "operators", " ", "in", " ", "operator", " ", "products", 
     "\[IndentingNewLine]", "2.", " ", "SortVariables"}], ",", " ", "SumJoin",
     ",", " ", "Dirac", ",", " ", "Simplify", ",", " ", "Dirac", ",", " ", 
    RowBox[{
     RowBox[{"SumSplit", ":"}], "\[IndentingNewLine]", "\[Rule]", " ", 
     RowBox[{
     "bring", " ", "indexed", " ", "variables", " ", "in", " ", 
      "standardized", " ", "order"}]}], ",", " ", 
    RowBox[{"replace", " ", 
     RowBox[{"m", "^", "2"}]}], ",", " ", 
    RowBox[{"simplify", "\[IndentingNewLine]", "3.", " ", "Simplify"}], ",", 
    " ", "SumJoin", ",", " ", 
    RowBox[{
     RowBox[{"Simplify", ":"}], "\[IndentingNewLine]", "\[Rule]", " ", 
     RowBox[{"final", " ", "simplification"}]}]}], "\[IndentingNewLine]", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"QAEvaluate1", "[", "ex_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"ex", "//", 
                  RowBox[{
                  "QAReplaceRepeated", "[", "\"\<SumSplit\>\"", "]"}]}], "//",
                  " ", 
                 RowBox[{
                 "QAReplaceRepeated", "[", "\"\<IntegrateSplit\>\"", "]"}]}], 
                "//", 
                RowBox[{
                "QAReplaceRepeated", "[", 
                 "\"\<AntiCommutatorLocal-Reverse-Dirac\>\"", "]"}]}], "//", 
               RowBox[{"QASimplify", "[", "]"}]}], "//", 
              RowBox[{
              "QAReplaceRepeated", "[", "\"\<SortVariables\>\"", "]"}]}], "//", 
             RowBox[{"QAReplaceRepeated", "[", "\"\<SumJoin\>\"", "]"}]}], "//", 
            RowBox[{"QAReplaceRepeated", "[", "\"\<Dirac\>\"", "]"}]}], "//", 
           RowBox[{"QASimplify", "[", "]"}]}], "//", 
          RowBox[{"QAReplaceRepeated", "[", "\"\<Dirac\>\"", "]"}]}], "//", 
         RowBox[{"QAReplaceRepeated", "[", 
          RowBox[{"{", "\"\<SumSplit\>\"", "}"}], "]"}]}], "//", 
        RowBox[{"QASimplify", "[", "]"}]}], "//", 
       RowBox[{"QAReplaceRepeated", "[", "\"\<SumJoin\>\"", "]"}]}], "//", 
      RowBox[{"QASimplify", "[", "]"}]}], "//", 
     RowBox[{"QAReplaceRepeated", "[", 
      RowBox[{"{", "\"\<SumSplit\>\"", "}"}], "]"}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QAEvaluate2", "[", "ex_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"ex", "//", 
                 RowBox[{
                 "QAReplaceRepeated", "[", "\"\<SumSplit\>\"", "]"}]}], "//", 
                " ", 
                RowBox[{
                "QAReplaceRepeated", "[", "\"\<IntegrateSplit\>\"", "]"}]}], "//", 
               RowBox[{
               "QAReplaceRepeated", "[", "\"\<AntiCommutatorLocal-Dirac\>\"", 
                "]"}]}], "//", 
              RowBox[{"QASimplify", "[", "]"}]}], "//", 
             RowBox[{
             "QAReplaceRepeated", "[", "\"\<SortVariables\>\"", "]"}]}], "//", 
            RowBox[{"QAReplace", "[", "\"\<SumJoin\>\"", "]"}]}], "//", 
           RowBox[{"QAReplaceRepeated", "[", "\"\<Dirac\>\"", "]"}]}], "//", 
          RowBox[{"QASimplify", "[", "]"}]}], "//", 
         RowBox[{"QAReplaceRepeated", "[", "\"\<Dirac\>\"", "]"}]}], "//", 
        RowBox[{"QAReplaceRepeated", "[", "\"\<SumSplit\>\"", "]"}]}], "//", 
       RowBox[{"QASimplify", "[", "]"}]}], "//", 
      RowBox[{"QAReplace", "[", "\"\<SumJoin\>\"", "]"}]}], "//", 
     RowBox[{"QASimplify", "[", "]"}]}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.750765586305279*^9, 3.7507655867450814`*^9}, {
   3.7507656235675983`*^9, 3.750765658007486*^9}, 3.750766049457921*^9, 
   3.7507660799742947`*^9, {3.750766111401239*^9, 3.750766144232714*^9}, 
   3.750766461699074*^9, 3.7507865801910524`*^9, 3.754635806016717*^9, 
   3.754910575153778*^9, {3.7549328781557903`*^9, 3.754932897906336*^9}, {
   3.7549329323708544`*^9, 3.75493293352573*^9}, {3.754933644790909*^9, 
   3.754933650745966*^9}, {3.7549336864015837`*^9, 3.754933688664528*^9}, {
   3.754933942708687*^9, 3.7549339671753163`*^9}, {3.7549341729020214`*^9, 
   3.7549341834378476`*^9}, 3.7549342405968847`*^9, {3.7549343729689865`*^9, 
   3.754934396557824*^9}, 3.7549364770414095`*^9, 3.754988954059105*^9, 
   3.7549903266917133`*^9, 3.7549903818281717`*^9, 3.754990868354166*^9, {
   3.7549909970138392`*^9, 3.754991013487795*^9}, {3.7549913029765563`*^9, 
   3.7549913142713313`*^9}, {3.754991770289226*^9, 3.7549917725372386`*^9}, {
   3.7549922124646254`*^9, 3.7549922170353613`*^9}, {3.75499283618839*^9, 
   3.7549928481903067`*^9}, {3.7549945951699677`*^9, 
   3.7549946149091806`*^9}, {3.754994899418578*^9, 3.7549949173536167`*^9}, 
   3.754994981100999*^9, {3.754995236979695*^9, 3.7549952534246883`*^9}, 
   3.754995801564348*^9, {3.754995976241149*^9, 3.754996015531044*^9}, 
   3.7549965362041645`*^9, {3.7549965755857506`*^9, 3.754996599818498*^9}, {
   3.7549967380486*^9, 3.7549967637238655`*^9}, 3.7549973238909535`*^9, {
   3.7550652537239523`*^9, 3.7550652551581182`*^9}, {3.755066153327221*^9, 
   3.755066153516721*^9}, {3.755066281128628*^9, 3.755066405846662*^9}, {
   3.75506646519884*^9, 3.755066466400625*^9}, {3.7550664991978903`*^9, 
   3.755066522669053*^9}, {3.755066559516488*^9, 3.755066611038599*^9}, {
   3.7550666584946203`*^9, 3.755066854958597*^9}, {3.7550669449830494`*^9, 
   3.755067014977751*^9}, {3.768969161804057*^9, 3.7689691736354055`*^9}, {
   3.771251209405113*^9, 3.7712512396386747`*^9}, {3.7949047117670293`*^9, 
   3.794904742730291*^9}, 3.7949343759573755`*^9, {3.7949774999448767`*^9, 
   3.7949775678884187`*^9}, 3.7949775989573684`*^9, {3.7949776539473963`*^9, 
   3.7949776701979494`*^9}, {3.7949777487501945`*^9, 3.794977833433613*^9}, 
   3.7949778834558935`*^9, 3.7949779205188184`*^9, {3.7951502597550917`*^9, 
   3.795150266868111*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Investigate", " ", "this", " ", "chain", " ", "as", " ", "alternative"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"QAEvaluate3", "[", "ex_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"ex", "//", 
               RowBox[{"QAReplace", "[", "\"\<SumJoin\>\"", "]"}]}], "//", 
              RowBox[{
              "QAReplace", "[", "\"\<AntiCommutatorLocal\>\"", "]"}]}], "//", 
             RowBox[{
             "QAReplaceRepeated", "[", "\"\<IntegrateSplit\>\"", "]"}]}], "//", 
            RowBox[{"QAReplaceRepeated", "[", "\"\<SumSplit\>\"", "]"}]}], "//", 
           RowBox[{
           "QAReplaceRepeated", "[", "\"\<FullDistributionLaw\>\"", "]"}]}], "//", 
          RowBox[{"QAReplace", "[", "\"\<SumJoin\>\"", "]"}]}], "//", 
         RowBox[{
         "QAReplaceRepeated", "[", "\"\<FullDistributionLaw\>\"", "]"}]}], "//", 
        RowBox[{"QASimplify", "[", "]"}]}], "//", 
       RowBox[{"QAReplace", "[", "\"\<Dirac\>\"", "]"}]}], "//", 
      RowBox[{"QASimplify", "[", "]"}]}], "//", 
     RowBox[{"QAReplace", "[", "\"\<Dirac\>\"", "]"}]}], "//", 
    RowBox[{"QASimplify", "[", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7949246793980803`*^9, 3.794924731617491*^9}, {
   3.7949248319524946`*^9, 3.7949248385817733`*^9}, {3.7949248864617825`*^9, 
   3.7949248869734154`*^9}, {3.794924944165532*^9, 3.7949249573193693`*^9}, {
   3.7949325915917664`*^9, 3.794932598330751*^9}, 3.794977550773018*^9, 
   3.794977614190647*^9, {3.79497767112049*^9, 3.7949776736786475`*^9}, {
   3.7949779365100713`*^9, 3.7949779670095496`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Helper Relations", "Subsection",
 CellChangeTimes->{{3.7676076679122887`*^9, 3.7676076785907507`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Print", " ", "an", " ", "Assignment"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SetAttributes", "[", 
     RowBox[{"printAssignment", ",", "HoldAll"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"printAssignment", "[", "expr_", "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{
        RowBox[{"Defer", "[", "expr", "]"}], ",", "\"\< = \>\"", ",", " ", 
        "expr"}], "]"}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"printDirac", "[", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"printAssignment", "[", 
           RowBox[{
            RowBox[{"Superscript", "[", 
             RowBox[{"\[Gamma]", ",", "#"}], "]"}], "//", "MatrixForm"}], 
           "]"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "2", ",", "3"}], "}"}]}], "]"}], ";", 
       RowBox[{"Print", "[", "]"}]}]}], "]"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.738589483141281*^9, 3.7385895516183324`*^9}, {
   3.7385895960126524`*^9, 3.738589628847865*^9}, 3.7385898301297035`*^9, {
   3.738589914307266*^9, 3.7385899873745193`*^9}, 3.7492103676393003`*^9, {
   3.767607948442996*^9, 3.7676079606104536`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Calculate", " ", "an", " ", "Inner", " ", "Product"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"QAInner", "[", 
     RowBox[{"a_", ",", "b_", ",", "n_Integer", ",", "x_Symbol"}], "]"}], ":=", 
    RowBox[{"QAIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Hermitian", "[", "a", "]"}], ".", "b"}], ",", "V", ",", "n", 
      ",", "x"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"QAInner", "[", 
     RowBox[{"i_Integer", ",", "j_Integer"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"QAInner", "[", 
        RowBox[{
         RowBox[{"Superscript", "[", 
          RowBox[{"\[CapitalPsi]", ",", "i"}], "]"}], ",", 
         RowBox[{"Superscript", "[", 
          RowBox[{"\[CapitalPsi]", ",", "j"}], "]"}], ",", "3", ",", "x"}], 
        "]"}], "//", 
       RowBox[{"QASimplify", "[", "]"}]}], "//", 
      RowBox[{"QAReplaceRepeated", "[", "\"\<Dirac\>\"", "]"}]}], "//", 
     RowBox[{"QASimplify", "[", "]"}]}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7492952560066566`*^9, 3.7492952669793043`*^9}, {
   3.749295303471727*^9, 3.7492954893506002`*^9}, 3.749295573752195*^9, {
   3.7492956058069625`*^9, 3.7492956191273375`*^9}, {3.749295772831094*^9, 
   3.7492957792698708`*^9}, 3.749313048081235*^9, {3.749489112214207*^9, 
   3.7494891139006605`*^9}, {3.767599830833376*^9, 3.767599852900345*^9}, {
   3.7675999300589848`*^9, 3.767599930353166*^9}, {3.767602463744462*^9, 
   3.767602466375424*^9}, 3.767602628359276*^9, {3.7676048277714167`*^9, 
   3.7676048361509924`*^9}, {3.767607972315148*^9, 3.7676079888998623`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Dirac Equation QFT", "Section",
 CellChangeTimes->{{3.74972890219599*^9, 3.7497289150515842`*^9}}],

Cell[CellGroupData[{

Cell["Anti Commutation Relations", "Subsection",
 CellChangeTimes->{{3.771251292488694*^9, 3.771251301245674*^9}}],

Cell["\<\
We have no relations here coming from classical ones. We postulate anti \
commutation relations for the coefficients of the plane wave solutions.\
\>", "Text",
 CellChangeTimes->{{3.794066000303119*^9, 3.794066018904422*^9}, 
   3.7940661322445307`*^9, {3.794127858372034*^9, 3.794127927202401*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"anticommutator", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"\[CapitalPsi]", "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        OverscriptBox["\[CapitalPsi]", "_"], "/.", 
        RowBox[{"p", "\[Rule]", "p1"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        OverscriptBox["\[CapitalPsi]", "_"], "/.", 
        RowBox[{"p", "\[Rule]", "p1"}]}], ")"}], "\[CenterDot]", 
      "\[CapitalPsi]"}]}], ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.794482084513627*^9, 3.794482111753818*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"anticommutator", "//", "QAEvaluate1"}], "//", "Timing"}]], "Input",
 CellChangeTimes->{{3.771251396742648*^9, 3.771251460031651*^9}, {
  3.7712515070246506`*^9, 3.771251539512683*^9}, {3.771251830368445*^9, 
  3.771251849010454*^9}, {3.771251898209445*^9, 3.7712519165284057`*^9}, {
  3.7944821058625603`*^9, 3.794482132003708*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"418.`", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.7944726297333965`*^9, 3.794545663543782*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Hamiltonian", "Subsection",
 CellChangeTimes->{{3.749744483012596*^9, 3.749744486862337*^9}}],

Cell[CellGroupData[{

Cell["Explanation", "Subsubsection",
 CellChangeTimes->{{3.794051021273877*^9, 3.794051024496252*^9}}],

Cell["\<\
We express the Hamiltonian as expression in the field solutions, then \
simplify by invoking the evaluation chain.\
\>", "Text",
 CellChangeTimes->{{3.794051059416866*^9, 3.7940511552088394`*^9}}],

Cell[BoxData[{
 RowBox[{"\[GothicCapitalH]", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[ImaginaryI]"}], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       OverscriptBox["\[CapitalPsi]", "_"], "//", 
       RowBox[{"QASimplify", "[", "]"}]}], ")"}], "\[CenterDot]", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"i", "=", "1"}], "3"], 
      RowBox[{"(", 
       RowBox[{
        TemplateBox[{"\[Gamma]","i"},
         "Superscript"], "\[CenterDot]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["\[GothicCapitalD]", 
            SuperscriptBox["x", "i"]], "\[CapitalPsi]"}], "/.", 
          RowBox[{"p", "\[Rule]", "p1"}]}], ")"}]}], ")"}]}]}]}], "+", 
   RowBox[{"m", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       OverscriptBox["\[CapitalPsi]", "_"], "//", 
       RowBox[{"QASimplify", "[", "]"}]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"\[CapitalPsi]", "/.", 
       RowBox[{"p", "\[Rule]", "p1"}]}], ")"}]}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"H", ":=", 
  RowBox[{
   SubscriptBox["\[Integral]", "V"], 
   RowBox[{"\[GothicCapitalH]", 
    RowBox[{
     SuperscriptBox["\[DifferentialD]", "3"], "x"}]}]}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7497452226289644`*^9, 3.749745233865909*^9}, 
   3.7498146347275157`*^9, 3.7500636197454596`*^9, {3.7505702683829794`*^9, 
   3.750570277427758*^9}, {3.750589820838624*^9, 3.750589826937315*^9}, 
   3.754917302492875*^9, {3.7674318449021406`*^9, 3.7674318605991554`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"h1", "=", 
  RowBox[{
   RowBox[{"H", "//", "QAEvaluate2"}], "//", "QATiming"}]}]], "Input",
 CellChangeTimes->{
  3.7497445574993734`*^9, {3.749745704976673*^9, 3.749745709717*^9}, {
   3.749794443298417*^9, 3.7497944590173635`*^9}, {3.749794503597083*^9, 
   3.749794505116049*^9}, {3.74980285043549*^9, 3.7498028613832307`*^9}, {
   3.7498059672944207`*^9, 3.749805970627503*^9}, {3.7498075463677816`*^9, 
   3.7498075486725817`*^9}, 3.749811765546129*^9, {3.749815654543948*^9, 
   3.7498156768203564`*^9}, {3.7498164418426285`*^9, 
   3.7498164552457457`*^9}, {3.7498233134460225`*^9, 3.749823341868991*^9}, {
   3.7498240409858403`*^9, 3.7498240553354783`*^9}, 3.7498258092999043`*^9, 
   3.749829104854369*^9, {3.7499667431736345`*^9, 3.749966746262335*^9}, {
   3.750569911545774*^9, 3.75056991167343*^9}, {3.7505919339821005`*^9, 
   3.7505919343979816`*^9}, {3.7505920547612605`*^9, 3.750592061043455*^9}, 
   3.7507672905534554`*^9, {3.7549367485666475`*^9, 3.7549367487222614`*^9}, {
   3.754989368059873*^9, 3.7549893681905203`*^9}, {3.754997056284988*^9, 
   3.754997056394722*^9}, {3.7550661839205813`*^9, 3.755066184008314*^9}, {
   3.765453982469267*^9, 3.765453984199625*^9}, 3.7949290221653385`*^9, {
   3.7949327544309793`*^9, 3.7949327547441397`*^9}, {3.7949780211169043`*^9, 
   3.794978021416106*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"Mon 6 Apr 2020 10:26:05\"\>", ",", "81.390625`"}], "}"}], 
   ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     OverscriptBox["1", "^"], " ", 
     RowBox[{
      UnderscriptBox["\[Sum]", "p"], 
      SubscriptBox["p", "0"]}]}], "+", 
    RowBox[{
     UnderscriptBox["\[Sum]", "p"], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubsuperscriptBox[
          OverscriptBox["c", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], 
          RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
         SubsuperscriptBox[
          OverscriptBox["c", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], "1"]}], "+", 
        RowBox[{
         SubsuperscriptBox[
          OverscriptBox["c", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], 
          RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
         SubsuperscriptBox[
          OverscriptBox["c", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], "2"]}], "+", 
        RowBox[{
         SubsuperscriptBox[
          OverscriptBox["d", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], 
          RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
         SubsuperscriptBox[
          OverscriptBox["d", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], "1"]}], "+", 
        RowBox[{
         SubsuperscriptBox[
          OverscriptBox["d", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], 
          RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
         SubsuperscriptBox[
          OverscriptBox["d", "^"], 
          RowBox[{
           SubscriptBox["p", "1"], ",", 
           SubscriptBox["p", "2"], ",", 
           SubscriptBox["p", "3"]}], "2"]}]}], ")"}], " ", 
      SubscriptBox["p", "0"]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.794934482412098*^9, 3.7949781048264847`*^9, 
  3.795150457728365*^9},
 Background->RGBColor[1, 1, 0.85]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check Evaluation Chain", "Subsection",
 CellChangeTimes->{{3.767518722947663*^9, 3.76751873148287*^9}}],

Cell["This is no longer required.", "Text",
 CellChangeTimes->{{3.7940511757405453`*^9, 3.794051183932621*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["3-Momentum", "Subsection",
 CellChangeTimes->{{3.7479128009342823`*^9, 3.7479128058242307`*^9}}],

Cell[CellGroupData[{

Cell["Explanation", "Subsubsection",
 CellChangeTimes->{{3.794026157700893*^9, 3.7940262419038305`*^9}}],

Cell["\<\
We express the 3-momentum as expression in the field solutions, then simplify \
by invoking the evaluation chain.\
\>", "Text",
 CellChangeTimes->{{3.794051059416866*^9, 3.7940511552088394`*^9}, {
  3.79405131474679*^9, 3.794051317972168*^9}}],

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[GothicCapitalP]", "i_"], ":=", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      OverscriptBox["\[CapitalPsi]", "_"], "//", 
      RowBox[{"QASimplify", "[", "]"}]}], ")"}], "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{
      TemplateBox[{"\[Gamma]","0"},
       "Superscript"], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[GothicCapitalD]", 
          SuperscriptBox["x", "i"]], "\[CapitalPsi]"}], "/.", 
        RowBox[{"p", "\[Rule]", "p1"}]}], ")"}]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["P", "i_"], ":=", 
  RowBox[{
   SubscriptBox["\[Integral]", "V"], 
   RowBox[{
    SubscriptBox["\[GothicCapitalP]", "i"], 
    RowBox[{
     SuperscriptBox["\[DifferentialD]", "3"], "x"}]}]}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7499878149084716`*^9, 3.749987833797942*^9}, {
   3.749987870650363*^9, 3.7499878741160903`*^9}, {3.7499879270407248`*^9, 
   3.74998793504834*^9}, {3.749988008612235*^9, 3.7499880116271873`*^9}, 
   3.7500636206829605`*^9, {3.7505765904360075`*^9, 3.7505765910443788`*^9}, {
   3.7675900321051435`*^9, 3.7675900454763784`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"m1", "=", 
  RowBox[{
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["P", "#1"], "//", "QAEvaluate2"}], ")"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}], "//", 
   "QATiming"}]}]], "Input",
 CellChangeTimes->{{3.750590380960963*^9, 3.7505903820400724`*^9}, {
   3.75059288269359*^9, 3.7505928854442616`*^9}, 3.75076730113316*^9, {
   3.7549329685155497`*^9, 3.7549329686222315`*^9}, {3.7549896590213103`*^9, 
   3.754989659230744*^9}, {3.7549904026943073`*^9, 3.754990402867857*^9}, {
   3.7550662042351923`*^9, 3.7550662043199883`*^9}, {3.765454727341099*^9, 
   3.7654547283334365`*^9}, {3.7688249708831015`*^9, 3.768824970955907*^9}, {
   3.768834707665857*^9, 3.7688347077785873`*^9}, {3.7949781489954147`*^9, 
   3.7949781493075795`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"Mon 6 Apr 2020 10:27:55\"\>", ",", "64.28125`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      UnderscriptBox["\[Sum]", "p"], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "1"]}], "+", 
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "2"]}], "+", 
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "1"]}], "+", 
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "2"]}]}], ")"}], " ", 
       SubscriptBox["p", "1"]}]}], ",", 
     RowBox[{
      UnderscriptBox["\[Sum]", "p"], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "1"]}], "+", 
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "2"]}], "+", 
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "1"]}], "+", 
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "2"]}]}], ")"}], " ", 
       SubscriptBox["p", "2"]}]}], ",", 
     RowBox[{
      UnderscriptBox["\[Sum]", "p"], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "1"]}], "+", 
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["c", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "2"]}], "+", 
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "1"]}], "+", 
         RowBox[{
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], 
           RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
          SubsuperscriptBox[
           OverscriptBox["d", "^"], 
           RowBox[{
            SubscriptBox["p", "1"], ",", 
            SubscriptBox["p", "2"], ",", 
            SubscriptBox["p", "3"]}], "2"]}]}], ")"}], " ", 
       SubscriptBox["p", "3"]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAOKUJjfOzg+vHUUqXuas+Pja8ckFaev1QFr6x+ZNIPpY
Wb/NBiBd7/fBFUR7nDFKA9E/OopLQHTLda8GEG2x/pU766fXjrkGhuLLgbRN
6hu+7z9fO97JLs4G0UXT8jV/Aunr4r4cwr9eO7pXuguB6EvLNpWB6CmHv04X
A9Jatb6KFkD64zd3Rk6+N47TXnx6GQqkVyyf1Sct9MZRnvftPBB9evL0expA
msd2cVKWyBvH8I1LVMqAtLng1IkgegUzyxwQraCsFFMNpP8oR6jVAOl9z1ul
9gLppPPOH78A6SecqXITRd84Op169miyyxtHkQUbVDYBaYVLs5/2ur5xXMa3
RJDT7Y3j/O0ulc5AOmqzz9YIIK3b3HprDZAGAAszpUE=
  "],
 Background->RGBColor[1, 1, 0.85]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["4 - Current and Continuity Equation", "Subsection",
 CellChangeTimes->{{3.7487030627653775`*^9, 3.7487030806694827`*^9}}],

Cell[CellGroupData[{

Cell["Explanation", "Subsubsection",
 CellChangeTimes->{{3.794026157700893*^9, 3.7940262419038305`*^9}}],

Cell["\<\
We express the 4-current as expression in the field solutions, then simplify \
the charge by invoking the evaluation chain.\
\>", "Text",
 CellChangeTimes->{{3.794051059416866*^9, 3.7940511552088394`*^9}, {
  3.794051334283561*^9, 3.79405135198281*^9}}],

Cell[BoxData[{
 RowBox[{
  SubscriptBox["\[GothicCapitalJ]", "i_"], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     OverscriptBox["\[CapitalPsi]", "_"], "//", 
     RowBox[{"QASimplify", "[", "]"}]}], ")"}], "\[CenterDot]", 
   RowBox[{"(", 
    RowBox[{
     TemplateBox[{"\[Gamma]","i"},
      "Superscript"], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"\[CapitalPsi]", "/.", 
       RowBox[{"p", "\[Rule]", "p1"}]}], ")"}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["J", "i_"], ":=", 
  RowBox[{
   SubscriptBox["\[Integral]", "V"], 
   RowBox[{
    SubscriptBox["\[GothicCapitalJ]", "i"], 
    RowBox[{
     SuperscriptBox["\[DifferentialD]", "3"], "x"}]}]}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7499231497045107`*^9, 3.7499231686041083`*^9}, {
   3.749923227093647*^9, 3.749923287142085*^9}, 3.7499235910502615`*^9, {
   3.7499239796710796`*^9, 3.749924007282258*^9}, {3.7505917026856284`*^9, 
   3.750591703038683*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cur1", "=", 
  RowBox[{
   RowBox[{"QAEvaluate2", "[", 
    SubscriptBox["J", "0"], "]"}], "//", "QATiming"}]}]], "Input",
 CellChangeTimes->{{3.749923473995243*^9, 3.7499234750045147`*^9}, 
   3.7499667527430058`*^9, {3.750591422695462*^9, 3.7505914231123753`*^9}, {
   3.7505927058515773`*^9, 3.7505927084297*^9}, 3.7507673246043825`*^9, {
   3.7549330094370165`*^9, 3.7549330096205254`*^9}, {3.7549898551027317`*^9, 
   3.754989855254306*^9}, {3.7549908073054953`*^9, 3.754990807489003*^9}, {
   3.755066215465141*^9, 3.7550662155678625`*^9}, {3.765454892106325*^9, 
   3.7654548946674724`*^9}, {3.7688248020008974`*^9, 
   3.7688248020996284`*^9}, {3.76883320872785*^9, 3.7688332088545384`*^9}, {
   3.794978237614547*^9, 3.794978237857905*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"Mon 6 Apr 2020 10:29:24\"\>", ",", "12.6875`"}], "}"}], ",", 
   RowBox[{
    RowBox[{"2", " ", 
     OverscriptBox["1", "^"], " ", 
     RowBox[{
      UnderscriptBox["\[Sum]", "p"], "1"}]}], "+", 
    RowBox[{
     UnderscriptBox["\[Sum]", "p"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubsuperscriptBox[
         OverscriptBox["c", "^"], 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], 
         RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
        SubsuperscriptBox[
         OverscriptBox["c", "^"], 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "1"]}], "+", 
       RowBox[{
        SubsuperscriptBox[
         OverscriptBox["c", "^"], 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], 
         RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
        SubsuperscriptBox[
         OverscriptBox["c", "^"], 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "2"]}], "-", 
       RowBox[{
        SubsuperscriptBox[
         OverscriptBox["d", "^"], 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], 
         RowBox[{"1", ",", "\[Dagger]"}]], "\[CenterDot]", 
        SubsuperscriptBox[
         OverscriptBox["d", "^"], 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "1"]}], "-", 
       RowBox[{
        SubsuperscriptBox[
         OverscriptBox["d", "^"], 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], 
         RowBox[{"2", ",", "\[Dagger]"}]], "\[CenterDot]", 
        SubsuperscriptBox[
         OverscriptBox["d", "^"], 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "2"]}]}], ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwVxW0o43EcAPAJZbjhMCfyVLKJki72Ru5ns9X6Z6ztsrgaeebIrMloeZgl
zfJQykPaXaGWsq6rs7uWvbkXNy8UIg/tzd2I/19nyGwTvt8Xnz7ZjT3y5jAW
i1UG7OEvyvYbmsTb2Bo8Lku9iqtNLqMBLqnhD2z6aLJPdc7jo7shK05CdIYd
3vLJqiNvaRKr0x5xYI2+73wNjtSESv0BmlQcmi34Sf7BIi7dnnTgfazNv7hL
pnnGX/6Epz/CC4Wn3ADsOX6TkxikyTWVkIcPFqZM48v3H5dwa2L8On5wHPET
3/BlenGFt16SBJ/xxuX47OfLFVzxJXokGQ5+6rfh339cu/Gu5Z04Lmzzm/m4
vkpWjosNnTrc0jQ2jttLnHwB/OD2xLA5DDFIfweUcFv+/9W0twxpMb7b48Gt
Em9rRxJDrNsUTwd3P9S8x0Opd0P4U9TjKM5RqRb1sEkkpQZhqvxryhBsVMlz
nbCuf9h/Dyskv/JmkhmidRRczYkYciH0CL/BXU/KQEMlQwSWYnoKrvvQy2WL
GVL/r25MCAefi5y1cLprwrMBvwJdAwTh
  "],
 Background->RGBColor[1, 1, 0.85]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Resume Dirac Equation", "Subsection",
 CellChangeTimes->{{3.767590428661327*^9, 3.7675904355568914`*^9}}],

Cell[CellGroupData[{

Cell["Results analogous to Klein-Gordon-Equation", "Item",
 CellChangeTimes->{{3.7675904499733205`*^9, 3.767590459351215*^9}}],

Cell["Hamilton operator contains negative vacuum energy", "Item",
 CellChangeTimes->{{3.7675904504220953`*^9, 3.7675904696327357`*^9}}],

Cell["\<\
Number instead of operator? Reason perhaps matrix multiplication\
\>", "Item",
 CellChangeTimes->{{3.7675904508210287`*^9, 3.767590450822057*^9}, {
  3.767590488543165*^9, 3.7675904936624775`*^9}}],

Cell["\<\
Charge contains \[OpenCurlyDoubleQuote]vacuum share\[CloseCurlyDoubleQuote], \
allowed for validity of divergence equation\
\>", "Item",
 CellChangeTimes->{{3.7675904511681004`*^9, 3.7675904511690965`*^9}, 
   3.7675905104086895`*^9}],

Cell["\<\
3 - Momentum contains numbers, but these result in Null for Momentum Sum \
(Simplification as for Klein - Gordon - Equation)\
\>", "Item",
 CellChangeTimes->{{3.767590451525172*^9, 3.767590451525172*^9}, 
   3.7675905741810966`*^9}],

Cell["long calculation -> optimize!", "Item",
 CellChangeTimes->{3.7675905846630907`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Output of the Dirac Matrices", "Section"]], "Section",
 CellChangeTimes->{{3.7385875454052057`*^9, 3.7385875535095377`*^9}, {
  3.7492118590498886`*^9, 3.7492118674743557`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"printDirac", "[", "]"}]], "Input",
 CellChangeTimes->{{3.7385902891923685`*^9, 3.7385902932136393`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox[
    TemplateBox[{"\[Gamma]","0"},
     "Superscript"],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\" = \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", "0", "0", "0"},
       {"0", "1", "0", "0"},
       {"0", "0", 
        RowBox[{"-", "1"}], "0"},
       {"0", "0", "0", 
        RowBox[{"-", "1"}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm[
   Defer[
    MatrixForm[
     Superscript[QuantumAlgebra`Constants`\[Gamma], 0]]], " = ", 
   MatrixForm[{{1, 0, 0, 0}, {0, 1, 0, 0}, {0, 0, -1, 0}, {0, 0, 0, -1}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.73859029467072*^9, 3.7385903225242453`*^9}, 
   3.7492103747103586`*^9, 3.7654546259632854`*^9, 3.7674993316140594`*^9, 
   3.7676068812202797`*^9, 3.794117236203756*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox[
    TemplateBox[{"\[Gamma]","1"},
     "Superscript"],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\" = \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", "1"},
       {"0", "0", "1", "0"},
       {"0", 
        RowBox[{"-", "1"}], "0", "0"},
       {
        RowBox[{"-", "1"}], "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm[
   Defer[
    MatrixForm[
     Superscript[QuantumAlgebra`Constants`\[Gamma], 1]]], " = ", 
   MatrixForm[{{0, 0, 0, 1}, {0, 0, 1, 0}, {0, -1, 0, 0}, {-1, 0, 0, 0}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.73859029467072*^9, 3.7385903225242453`*^9}, 
   3.7492103747103586`*^9, 3.7654546259632854`*^9, 3.7674993316140594`*^9, 
   3.7676068812202797`*^9, 3.7941172362107363`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox[
    TemplateBox[{"\[Gamma]","2"},
     "Superscript"],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\" = \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "0", 
        RowBox[{"-", "\[ImaginaryI]"}]},
       {"0", "0", "\[ImaginaryI]", "0"},
       {"0", "\[ImaginaryI]", "0", "0"},
       {
        RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm[
   Defer[
    MatrixForm[
     Superscript[QuantumAlgebra`Constants`\[Gamma], 2]]], " = ", 
   MatrixForm[{{0, 0, 0, 
      Complex[0, -1]}, {0, 0, 
      Complex[0, 1], 0}, {0, 
      Complex[0, 1], 0, 0}, {
      Complex[0, -1], 0, 0, 0}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.73859029467072*^9, 3.7385903225242453`*^9}, 
   3.7492103747103586`*^9, 3.7654546259632854`*^9, 3.7674993316140594`*^9, 
   3.7676068812202797`*^9, 3.7941172362187147`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox[
    TemplateBox[{"\[Gamma]","3"},
     "Superscript"],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\" = \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "1", "0"},
       {"0", "0", "0", 
        RowBox[{"-", "1"}]},
       {
        RowBox[{"-", "1"}], "0", "0", "0"},
       {"0", "1", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}],
  SequenceForm[
   Defer[
    MatrixForm[
     Superscript[QuantumAlgebra`Constants`\[Gamma], 3]]], " = ", 
   MatrixForm[{{0, 0, 1, 0}, {0, 0, 0, -1}, {-1, 0, 0, 0}, {0, 1, 0, 0}}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.73859029467072*^9, 3.7385903225242453`*^9}, 
   3.7492103747103586`*^9, 3.7654546259632854`*^9, 3.7674993316140594`*^9, 
   3.7676068812202797`*^9, 3.79411723622573*^9}],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{{3.73859029467072*^9, 3.7385903225242453`*^9}, 
   3.7492103747103586`*^9, 3.7654546259632854`*^9, 3.7674993316140594`*^9, 
   3.7676068812202797`*^9, 3.7941172362306833`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Eigen Solutions for the Dirac Equation (RQM)", "Section",
 CellChangeTimes->{{3.7385922862863665`*^9, 3.7385923025957212`*^9}, {
  3.7492110167712216`*^9, 3.7492110375945177`*^9}, {3.7492124524016953`*^9, 
  3.749212455272046*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Conjugate", "[", 
     RowBox[{
      SubscriptBox["\[GothicU]", "1"], "/.", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["p", "i_"], ":>", 
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["p", "i"]}], "/;", 
         RowBox[{"1", "\[LessEqual]", "i", "\[LessEqual]", "3"}]}]}], ")"}]}],
      "]"}], ".", 
    SubscriptBox["\[GothicV]", "1"]}], ")"}], "//", 
  RowBox[{"QASimplify", "[", "]"}]}]], "Input",
 CellChangeTimes->{{3.749224236933815*^9, 3.749224279670498*^9}, {
   3.749224362514331*^9, 3.749224371307809*^9}, {3.749225006858358*^9, 
   3.749225086088415*^9}, {3.7492251204534874`*^9, 3.749225168041192*^9}, {
   3.7675908775597615`*^9, 3.7675909257475*^9}, 3.7675910372472887`*^9, {
   3.7675995921002398`*^9, 3.767599679217279*^9}, {3.767601847913294*^9, 
   3.767601858746289*^9}, {3.7676019031248093`*^9, 3.7676019084046707`*^9}, {
   3.767601950455221*^9, 3.7676019751531982`*^9}, {3.7676020053494368`*^9, 
   3.7676020115109577`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.7492251217639804`*^9, 3.7492251694613886`*^9}, {
   3.7675909153466663`*^9, 3.7675909272913723`*^9}, 3.767591039552122*^9, {
   3.7675996568450766`*^9, 3.767599681722584*^9}, 3.7676018633869047`*^9, 
   3.76760191092595*^9, {3.7676019560552235`*^9, 3.7676019763818913`*^9}, 
   3.7676020125860605`*^9, 3.7688170376009727`*^9, 3.794117241734969*^9, 
   3.7941189332849083`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"QAInner", "[", 
       RowBox[{"i", ",", "j"}], "]"}], "//", 
      RowBox[{"QAReplaceRepeated", "[", "\"\<DiracEquation\>\"", "]"}]}], "//", 
     RowBox[{"QASimplify", "[", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "4"}], "}"}]}], "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.7492972002727733`*^9, 3.7492972429351315`*^9}, {
  3.7941183912292347`*^9, 3.794118397593184*^9}, {3.7941184321617804`*^9, 
  3.7941184550256615`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"V", " ", 
        OverscriptBox["1", "^"], " ", 
        SubscriptBox["p", "0"]}], "m"], "0", "0", "0"},
     {"0", 
      FractionBox[
       RowBox[{"V", " ", 
        OverscriptBox["1", "^"], " ", 
        SubscriptBox["p", "0"]}], "m"], "0", "0"},
     {"0", "0", 
      FractionBox[
       RowBox[{"V", " ", 
        OverscriptBox["1", "^"], " ", 
        SubscriptBox["p", "0"]}], "m"], "0"},
     {"0", "0", "0", 
      FractionBox[
       RowBox[{"V", " ", 
        OverscriptBox["1", "^"], " ", 
        SubscriptBox["p", "0"]}], "m"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.7492972748936415`*^9, 3.749297448488897*^9, 
  3.749300692630598*^9, 3.7493007980093856`*^9, 3.7494890346117563`*^9, 
  3.749489146910355*^9, 3.767599809043643*^9, 3.7675998425958776`*^9, 
  3.767599907095388*^9, 3.767599978764686*^9, 3.767602528275896*^9, 
  3.7676029025529165`*^9, 3.7676048859777*^9, 3.7676066059136105`*^9, 
  3.767606958801813*^9, 3.767607460420234*^9, 3.7688170893514557`*^9, 
  3.794117374347475*^9, 3.794118516195155*^9, 3.7941189158754473`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Dirac Equation", "Section",
 CellChangeTimes->{{3.749375194527919*^9, 3.7493751986009874`*^9}}],

Cell[CellGroupData[{

Cell["The Dirac Equation as an Operator", "Subsection",
 CellChangeTimes->{{3.7688171937227073`*^9, 3.768817210324294*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "Definition", " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"DiracOperator", "[", "]"}], ":=", 
   RowBox[{
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Superscript", "[", 
          RowBox[{"\[Gamma]", ",", "i"}], "]"}], "\[CircleDot]", 
         RowBox[{"QAD", "[", 
          SuperscriptBox["x", "i"], "]"}]}], ")"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "-", 
    RowBox[{"m", " ", 
     RowBox[{"IdentityMatrix", "[", "4", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.7688174851669865`*^9, 3.7688175044135227`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Matrix", " ", "Form"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DiracOperator", "[", "]"}], "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.749379407655079*^9, 3.749379410749793*^9}, {
  3.768817509658491*^9, 3.7688175192239027`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "m"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"1", "\[CircleDot]", 
         RowBox[{"QAD", "[", 
          SuperscriptBox["x", "0"], "]"}]}]}]}], "0", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"1", "\[CircleDot]", 
        RowBox[{"QAD", "[", 
         SuperscriptBox["x", "3"], "]"}]}]}], 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "\[ImaginaryI]"}], ")"}], "\[CircleDot]", 
          RowBox[{"QAD", "[", 
           SuperscriptBox["x", "2"], "]"}]}], "+", 
         RowBox[{"1", "\[CircleDot]", 
          RowBox[{"QAD", "[", 
           SuperscriptBox["x", "1"], "]"}]}]}], ")"}]}]},
     {"0", 
      RowBox[{
       RowBox[{"-", "m"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"1", "\[CircleDot]", 
         RowBox[{"QAD", "[", 
          SuperscriptBox["x", "0"], "]"}]}]}]}], 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[ImaginaryI]", "\[CircleDot]", 
          RowBox[{"QAD", "[", 
           SuperscriptBox["x", "2"], "]"}]}], "+", 
         RowBox[{"1", "\[CircleDot]", 
          RowBox[{"QAD", "[", 
           SuperscriptBox["x", "1"], "]"}]}]}], ")"}]}], 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "\[CircleDot]", 
        RowBox[{"QAD", "[", 
         SuperscriptBox["x", "3"], "]"}]}]}]},
     {
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "\[CircleDot]", 
        RowBox[{"QAD", "[", 
         SuperscriptBox["x", "3"], "]"}]}]}], 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "\[CircleDot]", 
          RowBox[{"QAD", "[", 
           SuperscriptBox["x", "1"], "]"}]}], "+", 
         RowBox[{"\[ImaginaryI]", "\[CircleDot]", 
          RowBox[{"QAD", "[", 
           SuperscriptBox["x", "2"], "]"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{"-", "m"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], "\[CircleDot]", 
         RowBox[{"QAD", "[", 
          SuperscriptBox["x", "0"], "]"}]}]}]}], "0"},
     {
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "\[CircleDot]", 
          RowBox[{"QAD", "[", 
           SuperscriptBox["x", "1"], "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "\[ImaginaryI]"}], ")"}], "\[CircleDot]", 
          RowBox[{"QAD", "[", 
           SuperscriptBox["x", "2"], "]"}]}]}], ")"}]}], 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"1", "\[CircleDot]", 
        RowBox[{"QAD", "[", 
         SuperscriptBox["x", "3"], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"-", "m"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], "\[CircleDot]", 
         RowBox[{"QAD", "[", 
          SuperscriptBox["x", "0"], "]"}]}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.7493794117770348`*^9, 3.749380023871893*^9, 
  3.749488855752564*^9, 3.749488931168824*^9, 3.768816868964091*^9, 
  3.768817435776284*^9, 3.7941177600723743`*^9, 3.7941189676320972`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Application", " ", "of", " ", "the", " ", "Operator", " ", "on", " ", 
    "Eigen", " ", "Solution"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"DiracOperator", "[", "]"}], "\[CircleTimes]", 
      TemplateBox[{"\[CapitalPsi]","2"},
       "Superscript"]}], "//", 
     RowBox[{"QASimplify", "[", "]"}]}], "//", 
    RowBox[{"QAReplaceRepeated", "[", "\"\<DiracEquation\>\"", "]"}]}], "//", 
   RowBox[{"QASimplify", "[", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.74937543665425*^9, 3.7493754747682557`*^9}, 
   3.7493772861164455`*^9, {3.7493773538452997`*^9, 3.749377356451297*^9}, {
   3.7493778572994018`*^9, 3.7493778773607073`*^9}, {3.7493779728203793`*^9, 
   3.7493779776115522`*^9}, {3.7493786062263536`*^9, 
   3.7493786111921005`*^9}, {3.7493874371252766`*^9, 3.7493874398440046`*^9}, 
   3.7493875464534535`*^9, 3.7494886020332985`*^9, {3.749488975430425*^9, 
   3.74948897766049*^9}, {3.768816926983887*^9, 3.768816940772957*^9}, {
   3.768817254175022*^9, 3.7688172558694506`*^9}, {3.768817451985792*^9, 
   3.768817452833525*^9}, {3.7688175309156227`*^9, 3.7688175603797984`*^9}, {
   3.7941182185827093`*^9, 3.7941182205155797`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.749375485907457*^9, 3.7493755621144004`*^9, 3.749377185556444*^9, 
   3.749377287712203*^9, 3.749377357406741*^9, 3.749377784311613*^9, 
   3.7493778789743867`*^9, 3.7493779872936583`*^9, 3.7493784969846044`*^9, 
   3.7493786142887836`*^9, 3.749379267060605*^9, 3.7493873932236753`*^9, 
   3.7493874444536343`*^9, 3.749387563080003*^9, 3.7494885929077206`*^9, 
   3.749488850020897*^9, {3.74948896331583*^9, 3.7494889929560375`*^9}, 
   3.7688169512858315`*^9, 3.768817262803898*^9, 3.768817460236679*^9, 
   3.794117826542689*^9, 3.79411824567031*^9, 3.794118984876996*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Analysis of Evaluation", "Section",
 CellChangeTimes->{{3.7944820450259*^9, 3.79448205253885*^9}}],

Cell[BoxData[
 RowBox[{"ac1", "=", 
  RowBox[{"anticommutator", "//", 
   RowBox[{"QAReplaceRepeated", "[", "\"\<SumExpand\>\"", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.794482154854595*^9, 3.794482157322997*^9}, {
  3.794482330406842*^9, 3.7944823377123146`*^9}}]
}, Open  ]],

Cell["Tests", "Section",
 CellChangeTimes->{{3.79447705739859*^9, 3.794477058216441*^9}}]
}, Open  ]]
},
WindowSize->{889, 882},
WindowMargins->{{375, Automatic}, {86, Automatic}},
InputAliases->{"com" -> SubscriptBox[
    RowBox[{"[", "\[SelectionPlaceholder]", "]"}], "-"], "op" -> 
  OverscriptBox["\[SelectionPlaceholder]", "^"], "hop" -> SuperscriptBox[
    OverscriptBox["\[SelectionPlaceholder]", "^"], "\[Dagger]"], "opd" -> 
  SubscriptBox[
    OverscriptBox["\[SelectionPlaceholder]", "^"], "\[SelectionPlaceholder]"],
   "opu" -> SuperscriptBox[
    OverscriptBox["\[SelectionPlaceholder]", "^"], "\[SelectionPlaceholder]"],
   "opdu" -> SubsuperscriptBox[
    OverscriptBox["\[SelectionPlaceholder]", "^"], "\[SelectionPlaceholder]", 
    "\[SelectionPlaceholder]"], "hopd" -> SubsuperscriptBox[
    OverscriptBox["\[SelectionPlaceholder]", "^"], "\[SelectionPlaceholder]", 
    "\[Dagger]"], "hopu" -> SuperscriptBox[
    OverscriptBox["\[SelectionPlaceholder]", "^"], 
    RowBox[{"\[SelectionPlaceholder]", ",", "\[Dagger]"}]], "hopdu" -> 
  SubsuperscriptBox[
    OverscriptBox["\[SelectionPlaceholder]", "^"], "\[SelectionPlaceholder]", 
    RowBox[{"\[SelectionPlaceholder]", ",", "\[Dagger]"}]], "ket" -> TagBox[
    RowBox[{
      AdjustmentBox[
      "\[VerticalSeparator]", BoxMargins -> {{-0.4, 0}, {0, 0}}], 
      AdjustmentBox[
       TagBox[
       "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
        BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
      "\[RightAngleBracket]"}], QuantumAlgebra`Ket, BaseStyle -> 
    "KetWrapper"], "bra" -> TagBox[
    RowBox[{"\[LeftAngleBracket]", 
      AdjustmentBox[
       TagBox[
       "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
        BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
      AdjustmentBox[
      "\[VerticalSeparator]", BoxMargins -> {{0, -0.2}, {0, 0}}]}], 
    QuantumAlgebra`Bra, BaseStyle -> "BraWrapper"], "braket" -> TagBox[
    RowBox[{"\[LeftAngleBracket]", 
      AdjustmentBox[
       RowBox[{
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraKetArgs,
           BaseStyle -> "BraKetArg"], "\[VerticalSeparator]", 
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraKetArgs,
           BaseStyle -> "BraKetArg"]}], BoxBaselineShift -> 0], 
      "\[RightAngleBracket]"}], QuantumAlgebra`BraKet, BaseStyle -> 
    "BraKetWrapper"], "ketd" -> TagBox[
    SubscriptBox[
     RowBox[{
       AdjustmentBox[
       "\[VerticalSeparator]", BoxMargins -> {{-0.4, 0}, {0, 0}}], 
       AdjustmentBox[
        TagBox[
        "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
         BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
       "\[RightAngleBracket]"}], 
     TagBox[
      AdjustmentBox[
       TagBox[
       "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
        BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
      QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]], 
    QuantumAlgebra`Ket, BaseStyle -> "KetWrapper"], "ketu" -> TagBox[
    SuperscriptBox[
     RowBox[{
       AdjustmentBox[
       "\[VerticalSeparator]", BoxMargins -> {{-0.4, 0}, {0, 0}}], 
       AdjustmentBox[
        TagBox[
        "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
         BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
       "\[RightAngleBracket]"}], 
     TagBox[
      AdjustmentBox[
       TagBox[
       "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
        BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
      QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]], 
    QuantumAlgebra`Ket, BaseStyle -> "KetWrapper"], "ketdu" -> TagBox[
    SubsuperscriptBox[
     RowBox[{
       AdjustmentBox[
       "\[VerticalSeparator]", BoxMargins -> {{-0.4, 0}, {0, 0}}], 
       AdjustmentBox[
        TagBox[
        "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
         BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
       "\[RightAngleBracket]"}], 
     TagBox[
      AdjustmentBox[
       TagBox[
       "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
        BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
      QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"], 
     TagBox[
      AdjustmentBox[
       TagBox[
       "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
        BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
      QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]], 
    QuantumAlgebra`Ket, BaseStyle -> "KetWrapper"], "dbra" -> TagBox[
    RowBox[{
      SubscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      RowBox[{"\[LeftAngleBracket]", 
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        AdjustmentBox[
        "\[VerticalSeparator]", BoxMargins -> {{0, -0.2}, {0, 0}}]}]}], 
    QuantumAlgebra`Bra, BaseStyle -> "BraWrapper"], "ubra" -> TagBox[
    RowBox[{
      SuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      RowBox[{"\[LeftAngleBracket]", 
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        AdjustmentBox[
        "\[VerticalSeparator]", BoxMargins -> {{0, -0.2}, {0, 0}}]}]}], 
    QuantumAlgebra`Bra, BaseStyle -> "BraWrapper"], "dubra" -> TagBox[
    RowBox[{
      SubsuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      RowBox[{"\[LeftAngleBracket]", 
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        AdjustmentBox[
        "\[VerticalSeparator]", BoxMargins -> {{0, -0.2}, {0, 0}}]}]}], 
    QuantumAlgebra`Bra, BaseStyle -> "BraWrapper"], "braketu" -> TagBox[
    SuperscriptBox[
     RowBox[{"\[LeftAngleBracket]", 
       AdjustmentBox[
        RowBox[{
          TagBox[
          "\[SelectionPlaceholder]", 
           QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
           "BraKetArg"], "\[VerticalSeparator]", 
          TagBox[
          "\[SelectionPlaceholder]", 
           QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
           "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
     TagBox[
      AdjustmentBox[
       TagBox[
       "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
        BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
      QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "braketdu" -> TagBox[
    SubsuperscriptBox[
     RowBox[{"\[LeftAngleBracket]", 
       AdjustmentBox[
        RowBox[{
          TagBox[
          "\[SelectionPlaceholder]", 
           QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
           "BraKetArg"], "\[VerticalSeparator]", 
          TagBox[
          "\[SelectionPlaceholder]", 
           QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
           "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
     TagBox[
      AdjustmentBox[
       TagBox[
       "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
        BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
      QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"], 
     TagBox[
      AdjustmentBox[
       TagBox[
       "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`KetArgs, 
        BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
      QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "dbraket" -> TagBox[
    RowBox[{
      SubscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      RowBox[{"\[LeftAngleBracket]", 
        AdjustmentBox[
         RowBox[{
           TagBox[
           "\[SelectionPlaceholder]", 
            QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
            "BraKetArg"], "\[VerticalSeparator]", 
           TagBox[
           "\[SelectionPlaceholder]", 
            QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
            "BraKetArg"]}], BoxBaselineShift -> 0], 
        "\[RightAngleBracket]"}]}], QuantumAlgebra`BraKet, BaseStyle -> 
    "BraKetWrapper"], "ubraket" -> TagBox[
    RowBox[{
      SuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      RowBox[{"\[LeftAngleBracket]", 
        AdjustmentBox[
         RowBox[{
           TagBox[
           "\[SelectionPlaceholder]", 
            QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
            "BraKetArg"], "\[VerticalSeparator]", 
           TagBox[
           "\[SelectionPlaceholder]", 
            QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
            "BraKetArg"]}], BoxBaselineShift -> 0], 
        "\[RightAngleBracket]"}]}], QuantumAlgebra`BraKet, BaseStyle -> 
    "BraKetWrapper"], "dubraket" -> TagBox[
    RowBox[{
      SubsuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      RowBox[{"\[LeftAngleBracket]", 
        AdjustmentBox[
         RowBox[{
           TagBox[
           "\[SelectionPlaceholder]", 
            QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
            "BraKetArg"], "\[VerticalSeparator]", 
           TagBox[
           "\[SelectionPlaceholder]", 
            QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
            "BraKetArg"]}], BoxBaselineShift -> 0], 
        "\[RightAngleBracket]"}]}], QuantumAlgebra`BraKet, BaseStyle -> 
    "BraKetWrapper"], "dbraketd" -> TagBox[
    RowBox[{
      SubscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      SubscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
         AdjustmentBox[
          RowBox[{
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"], "\[VerticalSeparator]", 
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]]}], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "dbraketu" -> TagBox[
    RowBox[{
      SubscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      SuperscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
         AdjustmentBox[
          RowBox[{
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"], "\[VerticalSeparator]", 
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]]}], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "dbraketdu" -> 
  TagBox[
    RowBox[{
      SubscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      SubsuperscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
         AdjustmentBox[
          RowBox[{
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"], "\[VerticalSeparator]", 
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]]}], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "ubraketd" -> TagBox[
    RowBox[{
      SuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      SubscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
         AdjustmentBox[
          RowBox[{
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"], "\[VerticalSeparator]", 
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]]}], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "ubraketu" -> TagBox[
    RowBox[{
      SuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      SuperscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
         AdjustmentBox[
          RowBox[{
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"], "\[VerticalSeparator]", 
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]]}], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "ubraketdu" -> 
  TagBox[
    RowBox[{
      SuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      SubsuperscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
         AdjustmentBox[
          RowBox[{
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"], "\[VerticalSeparator]", 
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]]}], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "dubraketd" -> 
  TagBox[
    RowBox[{
      SubsuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      SubscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
         AdjustmentBox[
          RowBox[{
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"], "\[VerticalSeparator]", 
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]]}], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "dubraketu" -> 
  TagBox[
    RowBox[{
      SubsuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      SuperscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
         AdjustmentBox[
          RowBox[{
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"], "\[VerticalSeparator]", 
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]]}], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "dubraketdu" -> 
  TagBox[
    RowBox[{
      SubsuperscriptBox["\[InvisiblePrefixScriptBase]", 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "LIndex"]], 
      SubsuperscriptBox[
       RowBox[{"\[LeftAngleBracket]", 
         AdjustmentBox[
          RowBox[{
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"], "\[VerticalSeparator]", 
            TagBox[
            "\[SelectionPlaceholder]", 
             QuantumAlgebra`QuantumNotation`BraKetArgs, BaseStyle -> 
             "BraKetArg"]}], BoxBaselineShift -> 0], "\[RightAngleBracket]"}], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"], 
       TagBox[
        AdjustmentBox[
         TagBox[
         "\[SelectionPlaceholder]", QuantumAlgebra`QuantumNotation`BraArgs, 
          BaseStyle -> "BraKetArg"], BoxBaselineShift -> 0], 
        QuantumAlgebra`QuantumNotation`UDScript, BaseStyle -> "RIndex"]]}], 
    QuantumAlgebra`BraKet, BaseStyle -> "BraKetWrapper"], "sd" -> 
  SubscriptBox["\[Placeholder]", "\[Placeholder]"], "su" -> 
  SuperscriptBox["\[Placeholder]", "\[Placeholder]"], "sdu" -> 
  SubsuperscriptBox[
   "\[SelectionPlaceholder]", "\[SelectionPlaceholder]", 
    "\[SelectionPlaceholder]"]},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell["Bra Ket Styles", "Section"], 
   Cell[" The cells below define certain styles needed for defining \
Bras&Kets.These styles serve to give the correct structural properties to \
Bras & Kets ", "Text"], 
   Cell[
    StyleData["BraKetArg"], SpanMinSize -> Automatic, StyleMenuListing -> 
    None, AdjustmentBoxOptions -> {BoxMargins -> {{0, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> True, Selectable -> True}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"}], 
   Cell[
    StyleData["BraWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.2, -0.13}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["KetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.1, 0.2}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["BraKetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, 
    SpanMinSize -> 2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.25, 0.25}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["RIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.16, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}], 
   Cell[
    StyleData["LIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0, -0.1}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}]}, Visible -> False, FrontEndVersion -> 
  "11.0 for Microsoft Windows (64-bit) (September 21, 2016)", 
  StyleDefinitions -> 
  FrontEnd`FileName[{$RootDirectory, "C:", "Program Files", "Work", 
     "Wolfram Research", "Mathematica", "11.0", "SystemFiles", "FrontEnd", 
     "StyleSheets"}, "PrivateStylesheetFormatting.nb", CharacterEncoding -> 
    "UTF-8"]]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 101, 1, 101, "Title"],
Cell[CellGroupData[{
Cell[706, 27, 150, 2, 70, "Section"],
Cell[CellGroupData[{
Cell[881, 33, 256, 5, 46, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[1162, 42, 1615, 27, 22, "Print"],
Cell[2780, 71, 1629, 28, 22, "Print"],
Cell[4412, 101, 1630, 28, 22, "Print"],
Cell[6045, 131, 1636, 28, 22, "Print"],
Cell[7684, 161, 2059, 33, 149, "Print"]
}, Open  ]]
}, Open  ]],
Cell[9770, 198, 266, 5, 30, "Input"],
Cell[CellGroupData[{
Cell[10061, 207, 95, 1, 49, "Subsection"],
Cell[10159, 210, 10179, 232, 730, "Input",
 InitializationCell->True],
Cell[20341, 444, 847, 24, 70, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[21225, 473, 94, 1, 49, "Subsection"],
Cell[21322, 476, 913, 23, 71, "Input",
 InitializationCell->True],
Cell[22238, 501, 4038, 108, 275, "Input",
 InitializationCell->True],
Cell[26279, 611, 3181, 80, 180, "Input",
 InitializationCell->True],
Cell[29463, 693, 1785, 46, 123, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[31285, 744, 106, 1, 49, "Subsection"],
Cell[31394, 747, 6784, 137, 465, "Input",
 InitializationCell->True],
Cell[38181, 886, 1813, 41, 126, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40031, 932, 108, 1, 49, "Subsection"],
Cell[40142, 935, 1528, 41, 161, "Input",
 InitializationCell->True],
Cell[41673, 978, 1690, 38, 123, "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[43412, 1022, 104, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[43541, 1027, 114, 1, 49, "Subsection"],
Cell[43658, 1030, 309, 5, 49, "Text"],
Cell[43970, 1037, 566, 16, 34, "Input"],
Cell[CellGroupData[{
Cell[44561, 1057, 367, 6, 30, "Input"],
Cell[44931, 1065, 143, 3, 30, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[45123, 1074, 99, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[45247, 1079, 102, 1, 39, "Subsubsection"],
Cell[45352, 1082, 206, 4, 30, "Text"],
Cell[45561, 1088, 1559, 42, 117, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[47145, 1134, 1348, 21, 30, "Input"],
Cell[48496, 1157, 2604, 77, 99, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[51161, 1241, 109, 1, 49, "Subsection"],
Cell[51273, 1244, 111, 1, 30, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[51421, 1250, 102, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[51548, 1255, 104, 1, 39, "Subsubsection"],
Cell[51655, 1258, 253, 5, 30, "Text"],
Cell[51911, 1265, 1240, 33, 89, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[53176, 1302, 874, 19, 30, "Input"],
Cell[54053, 1323, 7275, 202, 187, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[61389, 1532, 127, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[61541, 1537, 104, 1, 39, "Subsubsection"],
Cell[61648, 1540, 263, 5, 30, "Text"],
Cell[61914, 1547, 988, 28, 90, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[62927, 1579, 773, 13, 30, "Input"],
Cell[63703, 1594, 2975, 82, 99, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[66739, 1683, 111, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[66875, 1688, 126, 1, 29, "Item"],
Cell[67004, 1691, 135, 1, 29, "Item"],
Cell[67142, 1694, 207, 4, 29, "Item"],
Cell[67352, 1700, 244, 5, 29, "Item"],
Cell[67599, 1707, 242, 5, 45, "Item"],
Cell[67844, 1714, 89, 1, 29, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[67994, 1722, 201, 2, 70, "Section"],
Cell[CellGroupData[{
Cell[68220, 1728, 128, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[68373, 1734, 1359, 38, 65, "Print"],
Cell[69735, 1774, 1361, 38, 65, "Print"],
Cell[71099, 1814, 1485, 42, 69, "Print"],
Cell[72587, 1858, 1358, 38, 65, "Print"],
Cell[73948, 1898, 229, 3, 22, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[74238, 1908, 237, 3, 70, "Section"],
Cell[CellGroupData[{
Cell[74500, 1915, 1046, 24, 33, "Input"],
Cell[75549, 1941, 427, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76013, 1952, 623, 16, 50, "Input"],
Cell[76639, 1970, 1631, 42, 140, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[78319, 2018, 101, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[78445, 2023, 123, 1, 49, "Subsection"],
Cell[78571, 2026, 701, 19, 55, "Input"],
Cell[CellGroupData[{
Cell[79297, 2049, 320, 7, 50, "Input"],
Cell[79620, 2058, 4023, 114, 88, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83680, 2177, 1272, 25, 50, "Input"],
Cell[84955, 2204, 692, 11, 30, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[85708, 2222, 104, 1, 70, "Section"],
Cell[85815, 2225, 266, 5, 30, "Input"]
}, Open  ]],
Cell[86096, 2233, 89, 1, 70, "Section"]
}, Open  ]]
}
]
*)

